# Serialized Form

## Package org.apache.ignite

### Class org.apache.ignite.IgniteAuthenticationException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.IgniteCheckedException extends Exception implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.IgniteDeploymentException extends IgniteException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.IgniteException extends RuntimeException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.IgniteIllegalStateException extends IllegalStateException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.IgniteInterruptedException extends IgniteException implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.cache

### Class org.apache.ignite.cache.CacheAtomicUpdateTimeoutException extends javax.cache.CacheException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.cache.CachePartialUpdateException extends javax.cache.CacheException implements Serializable

## Package org.apache.ignite.cache.affinity

### Class org.apache.ignite.cache.affinity.CacheAffinityKey extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.cache.affinity.CacheAffinityNodeAddressHashResolver extends Object implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.cache.affinity.CacheAffinityNodeIdHashResolver extends Object implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.cache.affinity.consistenthash

### Class org.apache.ignite.cache.affinity.consistenthash.CacheConsistentHashAffinityFunction extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### parts

    int parts

Total number of partitions.

#### replicas

    int replicas

#### attrName

    String attrName

#### exclNeighbors

    boolean exclNeighbors

#### backupFilter

    IgniteBiPredicate<E1,E2> backupFilter

Optional backup filter. First node passed to this filter is primary node, and second node is a node being tested.

#### hashIdRslvr

    CacheAffinityNodeHashResolver hashIdRslvr

#### ignite

    Ignite ignite

Injected grid.

#### cacheName

    String cacheName

Injected cache name.

#### log

    IgniteLogger log

Injected logger.

#### backupIdFilter

    IgniteBiPredicate<E1,E2> backupIdFilter

Optional backup filter.

## Package org.apache.ignite.cache.affinity.fair

### Class org.apache.ignite.cache.affinity.fair.CachePartitionFairAffinity extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### parts

    int parts

## Package org.apache.ignite.cache.affinity.rendezvous

### Class org.apache.ignite.cache.affinity.rendezvous.CacheRendezvousAffinityFunction extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.cache.query

### Class org.apache.ignite.cache.query.ContinuousQuery extends Query<ContinuousQuery<K,V>> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### initFilter

    Query<T extends Query> initFilter

Initial filter.

#### locLsnr

    javax.cache.event.CacheEntryUpdatedListener<K,V> locLsnr

Local listener.

#### rmtFilter

    javax.cache.event.CacheEntryEventFilter<K,V> rmtFilter

Remote filter.

#### bufSize

    int bufSize

Buffer size.

#### timeInterval

    long timeInterval

Time interval.

#### autoUnsubscribe

    boolean autoUnsubscribe

Automatic unsubscription flag.

### Class org.apache.ignite.cache.query.Query extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### pageSize

    int pageSize

Page size.

### Class org.apache.ignite.cache.query.ScanQuery extends Query<ScanQuery<K,V>> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### filter

    IgniteBiPredicate<E1,E2> filter

### Class org.apache.ignite.cache.query.SpiQuery extends Query<SpiQuery> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### args

    Object[] args

Arguments.

### Class org.apache.ignite.cache.query.SqlFieldsQuery extends Query<SqlFieldsQuery> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### sql

    String sql

SQL Query.

#### args

    Object[] args

Arguments.

### Class org.apache.ignite.cache.query.SqlQuery extends Query<SqlQuery> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### type

    String type

#### sql

    String sql

SQL clause.

#### args

    Object[] args

Arguments.

### Class org.apache.ignite.cache.query.TextQuery extends Query<TextQuery> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### type

    String type

#### txt

    String txt

SQL clause.

## Package org.apache.ignite.cluster

### Class org.apache.ignite.cluster.ClusterGroupEmptyException extends ClusterTopologyException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.cluster.ClusterTopologyException extends IgniteException implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.compute

### Class org.apache.ignite.compute.ComputeExecutionRejectedException extends IgniteException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.compute.ComputeJobAdapter extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### args

    Object[] args

Job argument.

### Class org.apache.ignite.compute.ComputeJobContinuationAdapter extends ComputeJobAdapter implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.compute.ComputeJobFailoverException extends IgniteException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.compute.ComputeTaskAdapter extends Object implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.compute.ComputeTaskCancelledException extends IgniteException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.compute.ComputeTaskSplitAdapter extends ComputeTaskAdapter<T,R> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### balancer

    ComputeLoadBalancer balancer

Load balancer.

### Class org.apache.ignite.compute.ComputeTaskTimeoutException extends IgniteException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.compute.ComputeUserUndeclaredException extends IgniteException implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.compute.gridify

### Class org.apache.ignite.compute.gridify.GridifyRuntimeException extends IgniteException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.compute.gridify.GridifyTaskAdapter extends ComputeTaskAdapter<GridifyArgument,R> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.compute.gridify.GridifyTaskSplitAdapter extends ComputeTaskSplitAdapter<GridifyArgument,R> implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.compute.gridify.aop

### Class org.apache.ignite.compute.gridify.aop.GridifyArgumentAdapter extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### cls

    Class<T> cls

Method class.

#### mtdName

    String mtdName

Method name.

#### types

    Class<T>[] types

Method parameter types.

#### params

    Object[] params

Method parameters.

#### target

    Object target

Method execution state.

### Class org.apache.ignite.compute.gridify.aop.GridifyDefaultRangeTask extends ComputeTaskAdapter<GridifyRangeArgument,Collection<?>> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### ignite

    Ignite ignite

Grid instance.

#### ses

    ComputeTaskSession ses

Grid task session.

#### log

    IgniteLogger log

Grid logger.

#### balancer

    ComputeLoadBalancer balancer

Load balancer.

#### mapper

    ComputeTaskContinuousMapper mapper

#### nodeFilter

    GridifyNodeFilter nodeFilter

#### splitSize

    int splitSize

#### threshold

    int threshold

#### limitedSplit

    boolean limitedSplit

### Class org.apache.ignite.compute.gridify.aop.GridifyDefaultTask extends ComputeTaskAdapter<GridifyArgument,Object> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### ignite

    Ignite ignite

Grid instance.

#### balancer

    ComputeLoadBalancer balancer

Load balancer.

## Package org.apache.ignite.configuration

### Class org.apache.ignite.configuration.CacheConfiguration extends javax.cache.configuration.MutableConfiguration<K,V> implements Serializable

### Serialized Fields

#### name

    String name

Cache name.

#### preloadPoolSize

    int preloadPoolSize

Preload thread pool size.

#### preloadTimeout

    long preloadTimeout

Preload timeout.

#### ttl

    long ttl

Default time to live for cache entries.

#### evictPlc

    CacheEvictionPolicy<K,V> evictPlc

Cache expiration policy.

#### nearEvictPlc

    CacheEvictionPolicy<K,V> nearEvictPlc

Near cache eviction policy.

#### evictSync

    boolean evictSync

Flag indicating whether eviction is synchronized.

#### evictNearSync

    boolean evictNearSync

Flag indicating whether eviction is synchronized with near nodes.

#### evictKeyBufSize

    int evictKeyBufSize

Eviction key buffer size.

#### evictSyncConcurrencyLvl

    int evictSyncConcurrencyLvl

Synchronous eviction timeout.

#### evictSyncTimeout

    long evictSyncTimeout

Synchronous eviction timeout.

#### evictFilter

    CacheEvictionFilter<K,V> evictFilter

Eviction filter.

#### evictMaxOverflowRatio

    float evictMaxOverflowRatio

Maximum eviction overflow ratio.

#### eagerTtl

    boolean eagerTtl

Eager ttl flag.

#### dfltLockTimeout

    long dfltLockTimeout

Default lock timeout.

#### dfltQryTimeout

    long dfltQryTimeout

Default query timeout.

#### startSize

    int startSize

Default cache start size.

#### nearStartSize

    int nearStartSize

Default near cache start size.

#### distro

    CacheDistributionMode distro

Cache distribution mode.

#### writeSync

    CacheWriteSynchronizationMode writeSync

Write synchronization mode.

#### storeFactory

    javax.cache.configuration.Factory<T> storeFactory

#### loadPrevVal

    boolean loadPrevVal

#### aff

    CacheAffinityFunction aff

Node group resolver.

#### cacheMode

    CacheMode cacheMode

Cache mode.

#### atomicityMode

    CacheAtomicityMode atomicityMode

Cache atomicity mode.

#### atomicWriteOrderMode

    CacheAtomicWriteOrderMode atomicWriteOrderMode

Write ordering mode.

#### backups

    int backups

Number of backups for cache.

#### invalidate

    boolean invalidate

Flag indicating whether this is invalidation-based cache.

#### storeValBytes

    boolean storeValBytes

Flag indicating if cached values should be additionally stored in serialized form.

#### tmLookupClsName

    String tmLookupClsName

Name of class implementing GridCacheTmLookup.

#### preloadMode

    CachePreloadMode preloadMode

Distributed cache preload mode.

#### preloadOrder

    int preloadOrder

Cache preload order.

#### preloadBatchSize

    int preloadBatchSize

Preload batch size.

#### offHeapMaxMem

    long offHeapMaxMem

Off-heap memory size.

#### swapEnabled

    boolean swapEnabled

#### maxConcurrentAsyncOps

    int maxConcurrentAsyncOps

Maximum number of concurrent asynchronous operations.

#### qryIdxEnabled

    boolean qryIdxEnabled

#### writeBehindEnabled

    boolean writeBehindEnabled

Write-behind feature.

#### writeBehindFlushSize

    int writeBehindFlushSize

Maximum size of write-behind cache.

#### writeBehindFlushFreq

    long writeBehindFlushFreq

Write-behind flush frequency in milliseconds.

#### writeBehindFlushThreadCnt

    int writeBehindFlushThreadCnt

Flush thread count for write-behind cache store.

#### writeBehindBatchSize

    int writeBehindBatchSize

Maximum batch size for write-behind cache store.

#### maxQryIterCnt

    int maxQryIterCnt

Maximum number of query iterators that can be stored.

#### memMode

    CacheMemoryMode memMode

Memory mode.

#### affMapper

    CacheAffinityKeyMapper affMapper

#### indexingSpiName

    String indexingSpiName

#### preloadDelay

    long preloadDelay

#### preloadThrottle

    long preloadThrottle

#### interceptor

    CacheInterceptor<K,V> interceptor

#### qryCfg

    CacheQueryConfiguration qryCfg

Query configuration.

#### readFromBackup

    boolean readFromBackup

Flag indicating whether data can be read from backup. If `false` always get data from primary node (never from backup).

#### typeMeta

    Collection<E> typeMeta

Collection of type metadata.

### Class org.apache.ignite.configuration.CacheQueryConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### typeRslvr

    QueryTypeResolver typeRslvr

Query type resolver.

#### idxPrimitiveKey

    boolean idxPrimitiveKey

#### idxPrimitiveVal

    boolean idxPrimitiveVal

#### idxFixedTyping

    boolean idxFixedTyping

#### escapeAll

    boolean escapeAll

### Class org.apache.ignite.configuration.TransactionConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### txSerEnabled

    boolean txSerEnabled

Default transaction serializable flag.

#### dfltIsolation

    TransactionIsolation dfltIsolation

Transaction isolation.

#### dfltConcurrency

    TransactionConcurrency dfltConcurrency

Cache concurrency.

#### dfltTxTimeout

    long dfltTxTimeout

Default transaction timeout.

#### pessimisticTxLogSize

    int pessimisticTxLogSize

Pessimistic tx log size.

#### pessimisticTxLogLinger

    int pessimisticTxLogLinger

Pessimistic tx log linger.

## Package org.apache.ignite.events

### Class org.apache.ignite.events.CacheEvent extends EventAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### cacheName

    String cacheName

Cache name.

#### part

    int part

Partition for the event.

#### key

    Object key

Cache entry.

#### xid

    IgniteUuid xid

Event ID.

#### lockId

    Object lockId

Lock ID.

#### newVal

    Object newVal

New value.

#### oldVal

    Object oldVal

Old value.

#### hasOldVal

    boolean hasOldVal

Flag indicating whether old value is present in case if we don't have it in deserialized form.

#### hasNewVal

    boolean hasNewVal

Flag indicating whether new value is present in case if we don't have it in deserialized form.

#### evtNode

    ClusterNode evtNode

Event node.

#### near

    boolean near

Flag indicating whether event happened on `near` or `partitioned` cache.

#### subjId

    UUID subjId

Subject ID.

#### cloClsName

    String cloClsName

Closure class name.

#### taskName

    String taskName

Task name if update was initiated within task execution.

### Class org.apache.ignite.events.CachePreloadingEvent extends EventAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### cacheName

    String cacheName

Cache name.

#### part

    int part

Partition for the event.

#### discoNode

    ClusterNode discoNode

Discovery node.

#### discoEvtType

    int discoEvtType

Discovery event type.

#### discoTs

    long discoTs

Discovery event time.

### Class org.apache.ignite.events.CacheQueryExecutedEvent extends EventAdapter implements Serializable

serialVersionUID:
  3738753361235304496L

### Serialized Fields

#### qryType

    CacheQueryType qryType

Query type.

#### cacheName

    String cacheName

Cache name.

#### clsName

    String clsName

Class name.

#### clause

    String clause

Clause.

#### scanQryFilter

    IgniteBiPredicate<E1,E2> scanQryFilter

Scan query filter.

#### contQryFilter

    javax.cache.event.CacheEntryEventFilter<K,V> contQryFilter

Continuous query filter.

#### args

    Object[] args

Query arguments.

#### subjId

    UUID subjId

Security subject ID.

#### taskName

    String taskName

Task name.

### Class org.apache.ignite.events.CacheQueryReadEvent extends EventAdapter implements Serializable

serialVersionUID:
  -1984731272984397445L

### Serialized Fields

#### qryType

    CacheQueryType qryType

Query type.

#### cacheName

    String cacheName

Cache name.

#### clsName

    String clsName

Class name.

#### clause

    String clause

Clause.

#### scanQryFilter

    IgniteBiPredicate<E1,E2> scanQryFilter

Scan query filter.

#### contQryFilter

    javax.cache.event.CacheEntryEventFilter<K,V> contQryFilter

Continuous query filter.

#### args

    Object[] args

Query arguments.

#### subjId

    UUID subjId

Security subject ID.

#### taskName

    String taskName

Task name.

#### key

    Object key

Key.

#### val

    Object val

Value.

#### oldVal

    Object oldVal

Old value.

#### row

    Object row

Result row.

### Class org.apache.ignite.events.CheckpointEvent extends EventAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### cpKey

    String cpKey

### Class org.apache.ignite.events.DeploymentEvent extends EventAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### alias

    String alias

### Class org.apache.ignite.events.DiscoveryEvent extends EventAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### evtNode

    ClusterNode evtNode

#### topVer

    long topVer

Topology version.

#### topSnapshot

    Collection<E> topSnapshot

Collection of nodes corresponding to topology version.

### Class org.apache.ignite.events.EventAdapter extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### id

    IgniteUuid id

#### tstamp

    long tstamp

#### node

    ClusterNode node

#### msg

    String msg

#### type

    int type

#### locId

    long locId

### Class org.apache.ignite.events.IgfsEvent extends EventAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### path

    IgfsPath path

File path.

#### newPath

    IgfsPath newPath

New file path (for RENAME event).

#### dataSize

    long dataSize

Data size (for data transfer events).

#### meta

    Map<K,V> meta

Updated metadata properties (for metadata update events).

### Class org.apache.ignite.events.JobEvent extends EventAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### taskName

    String taskName

#### taskClsName

    String taskClsName

#### sesId

    IgniteUuid sesId

#### jobId

    IgniteUuid jobId

#### taskNode

    ClusterNode taskNode

#### taskSubjId

    UUID taskSubjId

### Class org.apache.ignite.events.SwapSpaceEvent extends EventAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### space

    String space

Swap space name.

### Class org.apache.ignite.events.TaskEvent extends EventAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### taskName

    String taskName

#### taskClsName

    String taskClsName

#### sesId

    IgniteUuid sesId

#### internal

    boolean internal

#### subjId

    UUID subjId

## Package org.apache.ignite.igfs

### Class org.apache.ignite.igfs.IgfsConcurrentModificationException extends IgfsException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.igfs.IgfsCorruptedFileException extends IgfsException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.igfs.IgfsException extends IgniteException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.igfs.IgfsFileNotFoundException extends IgfsInvalidPathException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.igfs.IgfsGroupDataBlocksKeyMapper extends GridCacheDefaultAffinityKeyMapper implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### grpSize

    int grpSize

Size of the group.

### Class org.apache.ignite.igfs.IgfsInvalidHdfsVersionException extends IgfsException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.igfs.IgfsInvalidPathException extends IgfsException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.igfs.IgfsOutOfSpaceException extends IgfsException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.igfs.IgfsParentNotDirectoryException extends IgfsInvalidPathException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.igfs.IgfsPath extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Throws:
  `IOException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.igfs.IgfsPathAlreadyExistsException extends IgfsInvalidPathException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.igfs.IgfsPathSummary extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.igfs.mapreduce

### Class org.apache.ignite.igfs.mapreduce.IgfsTask extends ComputeTaskAdapter<IgfsTaskArgs<T>,R> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### ignite

    Ignite ignite

Injected grid.

### Class org.apache.ignite.igfs.mapreduce.IgfsTaskNoReduceAdapter extends IgfsTask<T,R> implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.igfs.mapreduce.records

### Class org.apache.ignite.igfs.mapreduce.records.IgfsByteDelimiterRecordResolver extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.igfs.mapreduce.records.IgfsFixedLengthRecordResolver extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.igfs.mapreduce.records.IgfsNewLineRecordResolver extends IgfsByteDelimiterRecordResolver implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.igfs.mapreduce.records.IgfsStringDelimiterRecordResolver extends IgfsByteDelimiterRecordResolver implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal

### Class org.apache.ignite.internal.ClusterGroupAdapter extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.ClusterNodeLocalMapImpl extends ConcurrentHashMap8<K,V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.ComputeTaskInternalFuture extends GridFutureAdapter<R> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.GridInternalException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.GridJobCancelRequest extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### sesId

    IgniteUuid sesId

#### jobId

    IgniteUuid jobId

#### sys

    boolean sys

### Class org.apache.ignite.internal.GridJobContextImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.GridJobExecuteRequest extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### subjId

    UUID subjId

Subject ID.

#### sesId

    IgniteUuid sesId

#### jobId

    IgniteUuid jobId

#### jobBytes

    byte[] jobBytes

#### job

    ComputeJob job

#### startTaskTime

    long startTaskTime

#### timeout

    long timeout

#### taskName

    String taskName

#### userVer

    String userVer

#### taskClsName

    String taskClsName

#### ldrParticipants

    Map<K,V> ldrParticipants

Node class loader participants.

#### sesAttrsBytes

    byte[] sesAttrsBytes

#### sesAttrs

    Map<K,V> sesAttrs

#### jobAttrsBytes

    byte[] jobAttrsBytes

#### jobAttrs

    Map<K,V> jobAttrs

#### cpSpi

    String cpSpi

Checkpoint SPI name.

#### siblings

    Collection<E> siblings

#### siblingsBytes

    byte[] siblingsBytes

#### createTime

    long createTime

Transient since needs to hold local creation time.

#### clsLdrId

    IgniteUuid clsLdrId

#### depMode

    DeploymentMode depMode

#### dynamicSiblings

    boolean dynamicSiblings

#### forceLocDep

    boolean forceLocDep

#### sesFullSup

    boolean sesFullSup

#### internal

    boolean internal

#### top

    Collection<E> top

### Class org.apache.ignite.internal.GridJobExecuteResponse extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### nodeId

    UUID nodeId

#### sesId

    IgniteUuid sesId

#### jobId

    IgniteUuid jobId

#### gridExBytes

    byte[] gridExBytes

#### gridEx

    IgniteException gridEx

#### resBytes

    byte[] resBytes

#### res

    Object res

#### jobAttrsBytes

    byte[] jobAttrsBytes

#### jobAttrs

    Map<K,V> jobAttrs

#### isCancelled

    boolean isCancelled

#### fakeEx

    IgniteException fakeEx

### Class org.apache.ignite.internal.GridJobSiblingImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.GridJobSiblingsRequest extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### sesId

    IgniteUuid sesId

#### topic

    Object topic

#### topicBytes

    byte[] topicBytes

### Class org.apache.ignite.internal.GridJobSiblingsResponse extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### siblings

    Collection<E> siblings

#### siblingsBytes

    byte[] siblingsBytes

### Class org.apache.ignite.internal.GridKernalContextImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.GridKernalGatewayImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### rwLock

    GridSpinReadWriteLock rwLock

#### lsnrs

    Collection<E> lsnrs

#### state

    org.apache.ignite.internal.GridKernalState state

#### gridName

    String gridName

#### stackTrace

    String stackTrace

User stack trace. Intentionally uses non-volatile variable for optimization purposes.

### Class org.apache.ignite.internal.GridLoggerProxy extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.GridMessageListenHandler extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.GridNodeOrderComparator extends Object implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.GridTaskCancelRequest extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### sesId

    IgniteUuid sesId

### Class org.apache.ignite.internal.GridTaskNameHashKey extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.GridTaskSessionRequest extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### sesId

    IgniteUuid sesId

Task session ID.

#### jobId

    IgniteUuid jobId

ID of job within a task.

#### attrsBytes

    byte[] attrsBytes

Changed attributes bytes.

#### attrs

    Map<K,V> attrs

Changed attributes.

### Class org.apache.ignite.internal.IgniteComputeImpl extends AsyncSupportAdapter<IgniteCompute> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.IgniteDeploymentCheckedException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.IgniteEventsImpl extends AsyncSupportAdapter<IgniteEvents> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.IgniteFutureCancelledCheckedException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.IgniteFutureTimeoutCheckedException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.IgniteInterruptedCheckedException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.IgniteKernal extends ClusterGroupAdapter implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.IgniteMessagingImpl extends AsyncSupportAdapter<IgniteMessaging> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.IgniteSchedulerImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.IgniteServicesImpl extends AsyncSupportAdapter implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.client

### Class org.apache.ignite.internal.client.GridClientAuthenticationException extends GridClientException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.client.GridClientClosedException extends GridClientException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.client.GridClientDisconnectedException extends GridClientException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.client.GridClientException extends Exception implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.client.GridClientFutureTimeoutException extends GridClientException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.client.GridClientHandshakeException extends GridClientException implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### statusCode

    byte statusCode

Status code for handshake error.

### Class org.apache.ignite.internal.client.GridServerUnreachableException extends GridClientException implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.internal.client.impl

### Class org.apache.ignite.internal.client.impl.GridClientDataMetricsAdapter extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### createTime

    long createTime

Create time.

#### readTime

    long readTime

Last read time.

#### writeTime

    long writeTime

Last update time.

#### reads

    int reads

Number of reads.

#### writes

    int writes

Number of writes.

#### hits

    int hits

Number of hits.

#### misses

    int misses

Number of misses.

### Class org.apache.ignite.internal.client.impl.GridClientFutureAdapter extends AbstractQueuedSynchronizer implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### cbs

    ConcurrentLinkedQueue<E> cbs

This future done callbacks.

#### res

    Object res

Result.

#### err

    Throwable err

Error.

#### done

    boolean done

### Class org.apache.ignite.internal.client.impl.GridClientNodeMetricsAdapter extends Object implements Serializable

serialVersionUID:
  9162377764800501071L

### Serialized Fields

#### lastUpdateTime

    long lastUpdateTime

#### maxActiveJobs

    int maxActiveJobs

#### curActiveJobs

    int curActiveJobs

#### avgActiveJobs

    float avgActiveJobs

#### maxWaitingJobs

    int maxWaitingJobs

#### curWaitingJobs

    int curWaitingJobs

#### avgWaitingJobs

    float avgWaitingJobs

#### maxRejectedJobs

    int maxRejectedJobs

#### curRejectedJobs

    int curRejectedJobs

#### avgRejectedJobs

    float avgRejectedJobs

#### maxCancelledJobs

    int maxCancelledJobs

#### curCancelledJobs

    int curCancelledJobs

#### avgCancelledJobs

    float avgCancelledJobs

#### totalRejectedJobs

    int totalRejectedJobs

#### totalCancelledJobs

    int totalCancelledJobs

#### totalExecutedJobs

    int totalExecutedJobs

#### maxJobWaitTime

    long maxJobWaitTime

#### curJobWaitTime

    long curJobWaitTime

#### avgJobWaitTime

    double avgJobWaitTime

#### maxJobExecTime

    long maxJobExecTime

#### curJobExecTime

    long curJobExecTime

#### avgJobExecTime

    double avgJobExecTime

#### totalExecTasks

    int totalExecTasks

#### totalIdleTime

    long totalIdleTime

#### curIdleTime

    long curIdleTime

#### availProcs

    int availProcs

#### load

    double load

#### avgLoad

    double avgLoad

#### gcLoad

    double gcLoad

#### heapInit

    long heapInit

#### heapUsed

    long heapUsed

#### heapCommitted

    long heapCommitted

#### heapMax

    long heapMax

#### nonHeapInit

    long nonHeapInit

#### nonHeapUsed

    long nonHeapUsed

#### nonHeapCommitted

    long nonHeapCommitted

#### nonHeapMax

    long nonHeapMax

#### upTime

    long upTime

#### startTime

    long startTime

#### nodeStartTime

    long nodeStartTime

#### threadCnt

    int threadCnt

#### peakThreadCnt

    int peakThreadCnt

#### startedThreadCnt

    long startedThreadCnt

#### daemonThreadCnt

    int daemonThreadCnt

#### fileSysFreeSpace

    long fileSysFreeSpace

#### fileSysTotalSpace

    long fileSysTotalSpace

#### fileSysUsableSpace

    long fileSysUsableSpace

#### lastDataVer

    long lastDataVer

#### sentMsgsCnt

    int sentMsgsCnt

#### sentBytesCnt

    long sentBytesCnt

#### rcvdMsgsCnt

    int rcvdMsgsCnt

#### rcvdBytesCnt

    long rcvdBytesCnt

## Package org.apache.ignite.internal.client.impl.connection

### Class org.apache.ignite.internal.client.impl.connection.GridClientConnectionResetException extends GridClientException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.client.impl.connection.GridConnectionIdleClosedException extends GridClientConnectionResetException implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.internal.cluster

### Class org.apache.ignite.internal.cluster.ClusterGroupEmptyCheckedException extends ClusterTopologyCheckedException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.cluster.ClusterTopologyCheckedException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.internal.compute

### Class org.apache.ignite.internal.compute.ComputeTaskCancelledCheckedException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.compute.ComputeTaskTimeoutCheckedException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.internal.executor

### Class org.apache.ignite.internal.executor.GridExecutorService extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.managers.checkpoint

### Class org.apache.ignite.internal.managers.checkpoint.GridCheckpointRequest extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### sesId

    IgniteUuid sesId

#### key

    String key

#### cpSpi

    String cpSpi

## Package org.apache.ignite.internal.managers.communication

### Class org.apache.ignite.internal.managers.communication.GridIoMessage extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### plc

    GridIoPolicy plc

Policy.

#### topic

    Object topic

Message topic.

#### topicBytes

    byte[] topicBytes

Topic bytes.

#### topicOrd

    int topicOrd

Topic ordinal.

#### ordered

    boolean ordered

Message ordered flag.

#### timeout

    long timeout

Message timeout.

#### skipOnTimeout

    boolean skipOnTimeout

Whether message can be skipped on timeout.

#### msg

    MessageAdapter msg

Message.

### Class org.apache.ignite.internal.managers.communication.GridIoUserMessage extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### body

    Object body

Message body.

#### bodyBytes

    byte[] bodyBytes

Serialized message body.

#### clsLdrId

    IgniteUuid clsLdrId

Class loader ID.

#### topic

    Object topic

Message topic.

#### topicBytes

    byte[] topicBytes

Serialized message topic.

#### depMode

    DeploymentMode depMode

Deployment mode.

#### depClsName

    String depClsName

Deployment class name.

#### userVer

    String userVer

User version.

#### ldrParties

    Map<K,V> ldrParties

Node class loader participants.

#### dep

    GridDeployment dep

Message deployment.

## Package org.apache.ignite.internal.managers.deployment

### Class org.apache.ignite.internal.managers.deployment.GridDeploymentInfoBean extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.managers.deployment.GridDeploymentRequest extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### resTopic

    Object resTopic

Response topic. Response should be sent back to this topic.

#### resTopicBytes

    byte[] resTopicBytes

Serialized topic.

#### rsrcName

    String rsrcName

Requested class name.

#### ldrId

    IgniteUuid ldrId

Class loader ID.

#### isUndeploy

    boolean isUndeploy

Undeploy flag.

#### nodeIds

    Collection<E> nodeIds

Nodes participating in request (chain).

### Class org.apache.ignite.internal.managers.deployment.GridDeploymentResponse extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### success

    boolean success

Result state.

#### errMsg

    String errMsg

#### byteSrc

    GridByteArrayList byteSrc

Raw class/resource/task.

## Package org.apache.ignite.internal.managers.discovery

## Package org.apache.ignite.internal.managers.eventstorage

### Class org.apache.ignite.internal.managers.eventstorage.GridEventStorageMessage extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### resTopic

    Object resTopic

#### resTopicBytes

    byte[] resTopicBytes

#### filter

    byte[] filter

#### evts

    Collection<E> evts

#### evtsBytes

    byte[] evtsBytes

#### ex

    Throwable ex

#### exBytes

    byte[] exBytes

#### clsLdrId

    IgniteUuid clsLdrId

#### depMode

    DeploymentMode depMode

#### filterClsName

    String filterClsName

#### userVer

    String userVer

#### ldrParties

    Map<K,V> ldrParties

Node class loader participants.

## Package org.apache.ignite.internal.managers.loadbalancer

### Class org.apache.ignite.internal.managers.loadbalancer.GridLoadBalancerAdapter extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.processors.cache

### Class org.apache.ignite.internal.processors.cache.CacheAtomicUpdateTimeoutCheckedException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.cache.CacheFlagException extends IgniteException implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### flags

    Collection<E> flags

Flags that caused this exception.

### Class org.apache.ignite.internal.processors.cache.CacheInvokeResult extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.CachePartialUpdateCheckedException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### failedKeys

    Collection<E> failedKeys

Failed keys.

### Class org.apache.ignite.internal.processors.cache.CacheStorePartialUpdateException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### failedKeys

    Collection<E> failedKeys

### Class org.apache.ignite.internal.processors.cache.CacheWeakQueryIteratorsHolder.WeakQueryFutureIterator extends GridCloseableIteratorAdapter<T> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### fut

    CacheQueryFuture<T> fut

Query future.

#### weakRef

    WeakReference<T> weakRef

Weak reference.

#### convert

    CacheIteratorConverter<T,V> convert

#### init

    boolean init

Init flag.

#### next

    Object next

Next item.

#### cur

    Object cur

Current item.

### Class org.apache.ignite.internal.processors.cache.GridCacheAdapter extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.GridCacheAdapter.UpdateGetTimeStatClosure extends GridCacheAdapter.UpdateTimeStatClosure<T> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.cache.GridCacheAdapter.UpdatePutAndGetTimeStatClosure extends GridCacheAdapter.UpdateTimeStatClosure implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.cache.GridCacheAdapter.UpdatePutTimeStatClosure extends GridCacheAdapter.UpdateTimeStatClosure implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.cache.GridCacheAdapter.UpdateRemoveTimeStatClosure extends GridCacheAdapter.UpdateTimeStatClosure<T> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.cache.GridCacheAdapter.UpdateTimeStatClosure extends Object implements Serializable

### Serialized Fields

#### metrics

    CacheMetricsImpl metrics

#### start

    long start

### Class org.apache.ignite.internal.processors.cache.GridCacheAtomicVersionComparator extends Object implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.cache.GridCacheAttributes extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.GridCacheContext extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.GridCacheDefaultAffinityKeyMapper extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### ignite

    Ignite ignite

Injected ignite instance.

#### reflectCache

    GridReflectionCache reflectCache

Reflection cache.

### Class org.apache.ignite.internal.processors.cache.GridCacheEntryInfo extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.GridCacheEntryRedeployException extends Exception implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.cache.GridCacheEntryRemovedException extends Exception implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.cache.GridCacheEvictionRequest extends GridCacheMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### futId

    long futId

Future id.

#### entries

    Collection<E> entries

Entries to clear from near and backup nodes.

#### entriesBytes

    byte[] entriesBytes

Serialized entries.

#### topVer

    long topVer

Topology version.

### Class org.apache.ignite.internal.processors.cache.GridCacheEvictionResponse extends GridCacheMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### futId

    long futId

Future ID.

#### rejectedKeys

    Collection<E> rejectedKeys

Rejected keys.

#### rejectedKeyBytes

    Collection<E> rejectedKeyBytes

Serialized rejected keys.

#### err

    boolean err

Flag to indicate whether request processing has finished with error.

### Class org.apache.ignite.internal.processors.cache.GridCacheExplicitLockSpan extends ReentrantLock implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### topSnapshot

    GridDiscoveryTopologySnapshot topSnapshot

Topology snapshot.

#### cands

    Map<K,V> cands

Pending candidates.

#### releaseFut

    GridFutureAdapter<R> releaseFut

Span lock release future.

### Class org.apache.ignite.internal.processors.cache.GridCacheFilterFailedException extends Exception implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### val

    Object val

Value for which filter failed.

### Class org.apache.ignite.internal.processors.cache.GridCacheIndexUpdateException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.cache.GridCacheIterator extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### it

    Iterator<E> it

Base iterator.

#### trans

    IgniteClosure<E,R> trans

Transformer.

#### cur

    javax.cache.Cache.Entry<K,V> cur

Current element.

#### cctx

    GridCacheContext<K,V> cctx

Context.

### Class org.apache.ignite.internal.processors.cache.GridCacheKeySet extends GridSerializableSet<K> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### ctx

    GridCacheContext<K,V> ctx

Cache context.

#### filter

    IgnitePredicate<E>[] filter

Filter.

#### map

    Map<K,V> map

Base map.

### Class org.apache.ignite.internal.processors.cache.GridCacheLockTimeoutException extends Exception implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.cache.GridCacheMessage extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### msgId

    long msgId

ID of this message.

#### depInfo

    GridDeploymentInfoBean depInfo

#### err

    Exception err

#### skipPrepare

    boolean skipPrepare

#### cacheId

    int cacheId

Cache ID.

### Class org.apache.ignite.internal.processors.cache.GridCacheMultiTxFuture extends GridFutureAdapter<Boolean> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.GridCacheMvccCandidate extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.GridCacheProjectionImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.GridCacheProjectionImpl.FullFilter extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### kvFilter

    GridCacheProjectionImpl.KeyValueFilter<K,V> kvFilter

Key filter.

#### entryFilter

    IgnitePredicate<E> entryFilter

Entry filter.

### Class org.apache.ignite.internal.processors.cache.GridCacheProjectionImpl.KeyValueFilter extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### kvFilter

    IgniteBiPredicate<E1,E2> kvFilter

Key filter.

#### noNulls

    boolean noNulls

No nulls flag.

### Class org.apache.ignite.internal.processors.cache.GridCacheProxyImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.GridCacheReturn extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.GridCacheUtilityKey extends Object implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.cache.GridCacheValueBytes extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### bytes

    byte[] bytes

Bytes.

#### plain

    boolean plain

Flag indicating if provided byte array is actual value, not marshaled data.

### Class org.apache.ignite.internal.processors.cache.GridCacheValueCollection extends GridSerializableCollection<V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### ctx

    GridCacheContext<K,V> ctx

Cache context.

#### filter

    IgnitePredicate<E>[] filter

Filter.

#### map

    Map<K,V> map

Base map.

### Class org.apache.ignite.internal.processors.cache.GridPartitionLockKey extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.IgniteCacheProxy extends AsyncSupportAdapter<IgniteCache<K,V>> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.processors.cache.affinity

### Class org.apache.ignite.internal.processors.cache.affinity.GridCacheAffinityProxy extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.processors.cache.distributed

### Class org.apache.ignite.internal.processors.cache.distributed.GridCacheCommittedTxInfo extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.GridCacheOptimisticCheckPreparedTxFuture extends GridCompoundIdentityFuture<Boolean> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.GridCacheOptimisticCheckPreparedTxRequest extends GridDistributedBaseMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### futId

    IgniteUuid futId

Future ID.

#### miniId

    IgniteUuid miniId

Mini future ID.

#### nearXidVer

    GridCacheVersion nearXidVer

Near transaction ID.

#### txNum

    int txNum

Expected number of transactions on node.

#### sys

    boolean sys

System transaction flag.

### Class org.apache.ignite.internal.processors.cache.distributed.GridCacheOptimisticCheckPreparedTxResponse extends GridDistributedBaseMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### futId

    IgniteUuid futId

Future ID.

#### miniId

    IgniteUuid miniId

Mini future ID.

#### success

    boolean success

Flag indicating if all remote transactions were prepared.

### Class org.apache.ignite.internal.processors.cache.distributed.GridCacheTtlUpdateRequest extends GridCacheMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### keys

    List<E> keys

Entries keys.

#### keysBytes

    List<E> keysBytes

Keys bytes.

#### vers

    List<E> vers

Entries versions.

#### nearKeys

    List<E> nearKeys

Near entries keys.

#### nearKeysBytes

    List<E> nearKeysBytes

Near entries bytes.

#### nearVers

    List<E> nearVers

Near entries versions.

#### ttl

    long ttl

New TTL.

#### topVer

    long topVer

Topology version.

### Class org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage extends GridCacheMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### ver

    GridCacheVersion ver

Lock or transaction version.

#### candsByIdx

    Collection<E>[] candsByIdx

Candidates for every key ordered in the order of keys. These can be either local-only candidates in case of lock acquisition, or pending candidates in case of transaction commit.

#### candsByIdxBytes

    byte[] candsByIdxBytes

#### candsByKey

    Map<K,V> candsByKey

Collections of local lock candidates.

#### candsByKeyBytes

    byte[] candsByKeyBytes

Collections of local lock candidates in serialized form.

#### committedVers

    Collection<E> committedVers

Committed versions with order higher than one for this message (needed for commit ordering).

#### rolledbackVers

    Collection<E> rolledbackVers

Rolled back versions with order higher than one for this message (needed for commit ordering).

#### cnt

    int cnt

Count of keys referenced in candidates array (needed only locally for optimization).

### Class org.apache.ignite.internal.processors.cache.distributed.GridDistributedCacheAdapter extends GridCacheAdapter<K,V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.GridDistributedLockCancelledException extends Exception implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.cache.distributed.GridDistributedLockRequest extends GridDistributedBaseMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### nodeId

    UUID nodeId

Sender node ID.

#### nearXidVer

    GridCacheVersion nearXidVer

Near transaction version.

#### threadId

    long threadId

Thread ID.

#### futId

    IgniteUuid futId

Future ID.

#### timeout

    long timeout

Max wait timeout.

#### isInTx

    boolean isInTx

Indicates whether lock is obtained within a scope of transaction.

#### isInvalidate

    boolean isInvalidate

Invalidate flag for transactions.

#### isRead

    boolean isRead

Indicates whether implicit lock so for read or write operation.

#### isolation

    TransactionIsolation isolation

Transaction isolation.

#### keyBytes

    List<E> keyBytes

Key bytes for keys to lock.

#### keys

    List<E> keys

Keys.

#### retVals

    boolean[] retVals

Array indicating whether value should be returned for a key.

#### idx

    int idx

Key-bytes index.

#### txSize

    int txSize

Key count.

#### grpLockKey

    IgniteTxKey<K> grpLockKey

Group lock key if this is a group-lock transaction.

#### grpLockKeyBytes

    byte[] grpLockKeyBytes

Group lock key bytes.

#### partLock

    boolean partLock

Partition lock flag. Only if group-lock transaction.

### Class org.apache.ignite.internal.processors.cache.distributed.GridDistributedLockResponse extends GridDistributedBaseMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### futId

    IgniteUuid futId

Future ID.

#### err

    Throwable err

Error.

#### errBytes

    byte[] errBytes

Serialized error.

#### valBytes

    List<E> valBytes

Value bytes.

#### vals

    List<E> vals

Values.

### Class org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxFinishRequest extends GridDistributedBaseMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### futId

    IgniteUuid futId

Future ID.

#### threadId

    long threadId

Thread ID.

#### commitVer

    GridCacheVersion commitVer

Commit version.

#### invalidate

    boolean invalidate

Invalidate flag.

#### commit

    boolean commit

Commit flag.

#### syncCommit

    boolean syncCommit

Sync commit flag.

#### syncRollback

    boolean syncRollback

Sync commit flag.

#### baseVer

    GridCacheVersion baseVer

Min version used as base for completed versions.

#### txSize

    int txSize

Expected txSize.

#### grpLockKey

    IgniteTxKey<K> grpLockKey

Group lock key.

#### grpLockKeyBytes

    byte[] grpLockKeyBytes

Group lock key bytes.

#### sys

    boolean sys

System flag.

### Class org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxFinishResponse extends GridCacheMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### txId

    GridCacheVersion txId

#### futId

    IgniteUuid futId

Future ID.

### Class org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxMapping extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxPrepareRequest extends GridDistributedBaseMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### threadId

    long threadId

Thread ID.

#### concurrency

    TransactionConcurrency concurrency

Transaction concurrency.

#### isolation

    TransactionIsolation isolation

Transaction isolation.

#### writeVer

    GridCacheVersion writeVer

Commit version for EC transactions.

#### timeout

    long timeout

Transaction timeout.

#### invalidate

    boolean invalidate

Invalidation flag.

#### reads

    Collection<E> reads

Transaction read set.

#### readsBytes

    Collection<E> readsBytes

#### writes

    Collection<E> writes

Transaction write entries.

#### writesBytes

    Collection<E> writesBytes

#### dhtVers

    Map<K,V> dhtVers

DHT versions to verify.

#### dhtVersBytes

    byte[] dhtVersBytes

Serialized map.

#### grpLockKey

    IgniteTxKey<K> grpLockKey

Group lock key, if any.

#### grpLockKeyBytes

    byte[] grpLockKeyBytes

Group lock key bytes.

#### partLock

    boolean partLock

Partition lock flag.

#### txSize

    int txSize

Expected transaction size.

#### txNodes

    Map<K,V> txNodes

Transaction nodes mapping (primary node -> related backup nodes).

#### txNodesBytes

    byte[] txNodesBytes

#### onePhaseCommit

    boolean onePhaseCommit

One phase commit flag.

#### sys

    boolean sys

System flag.

### Class org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxPrepareResponse extends GridDistributedBaseMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### cands

    Map<K,V> cands

Collections of local lock candidates.

#### candsBytes

    byte[] candsBytes

#### err

    Throwable err

Error.

#### errBytes

    byte[] errBytes

Serialized error.

### Class org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxRemoteAdapter extends IgniteTxAdapter<K,V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.GridDistributedUnlockRequest extends GridDistributedBaseMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### keyBytes

    List<E> keyBytes

Keys to unlock.

#### keys

    List<E> keys

Keys.

### Class org.apache.ignite.internal.processors.cache.distributed.IgniteExternalizableExpiryPolicy extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.processors.cache.distributed.dht

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtAffinityAssignmentRequest extends GridCacheMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### topVer

    long topVer

Topology version being queried.

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtAffinityAssignmentResponse extends GridCacheMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### topVer

    long topVer

Topology version.

#### affAssignment

    List<E> affAssignment

Affinity assignment.

#### affAssignmentBytes

    byte[] affAssignmentBytes

Affinity assignment bytes.

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtAssignmentFetchFuture extends GridFutureAdapter<List<List<ClusterNode>>> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtCache extends GridDhtTransactionalCacheAdapter<K,V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtCacheAdapter extends GridDistributedCacheAdapter<K,V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtEmbeddedFuture extends GridEmbeddedFuture<A,B> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtFinishedFuture extends GridFinishedFuture<T> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtGetFuture extends GridCompoundIdentityFuture<Collection<GridCacheEntryInfo<K,V>>> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtInvalidPartitionException extends RuntimeException implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### part

    int part

Partition.

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtLockFuture extends GridCompoundIdentityFuture<Boolean> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtLockRequest extends GridDistributedLockRequest<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### nearKeys

    List<E> nearKeys

Near keys.

#### nearKeyBytes

    List<E> nearKeyBytes

Near keys to lock.

#### invalidateEntries

    BitSet invalidateEntries

Invalidate reader flags.

#### miniId

    IgniteUuid miniId

Mini future ID.

#### owned

    Map<K,V> owned

Owner mapped version, if any.

#### ownedBytes

    byte[] ownedBytes

Owner mapped version bytes.

#### topVer

    long topVer

Topology version.

#### subjId

    UUID subjId

Subject ID.

#### taskNameHash

    int taskNameHash

Task name hash.

#### preloadKeys

    BitSet preloadKeys

Indexes of keys needed to be preloaded.

#### accessTtl

    long accessTtl

TTL for read operation.

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtLockResponse extends GridDistributedLockResponse<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### nearEvicted

    Collection<E> nearEvicted

Evicted readers.

#### nearEvictedBytes

    Collection<E> nearEvictedBytes

Evicted reader key bytes.

#### miniId

    IgniteUuid miniId

Mini ID.

#### invalidParts

    Collection<E> invalidParts

Invalid partitions.

#### preloadEntries

    List<E> preloadEntries

#### preloadEntriesBytes

    List<E> preloadEntriesBytes

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTransactionalCacheAdapter extends GridDhtCacheAdapter<K,V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxFinishFuture extends GridCompoundIdentityFuture<IgniteInternalTx> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxFinishRequest extends GridDistributedTxFinishRequest<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### nearNodeId

    UUID nearNodeId

Near node ID.

#### isolation

    TransactionIsolation isolation

Transaction isolation.

#### miniId

    IgniteUuid miniId

Mini future ID.

#### sysInvalidate

    boolean sysInvalidate

System invalidation flag.

#### topVer

    long topVer

Topology version.

#### pendingVers

    Collection<E> pendingVers

Pending versions with order less than one for this message (needed for commit ordering).

#### writeVer

    GridCacheVersion writeVer

One phase commit write version.

#### subjId

    UUID subjId

Subject ID.

#### taskNameHash

    int taskNameHash

Task name hash.

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxFinishResponse extends GridDistributedTxFinishResponse<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### miniId

    IgniteUuid miniId

Mini future ID.

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxLocal extends GridDhtTxLocalAdapter<K,V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxLocalAdapter extends IgniteTxLocalAdapter<K,V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxPrepareFuture extends GridCompoundIdentityFuture<IgniteInternalTx<K,V>> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxPrepareRequest extends GridDistributedTxPrepareRequest<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### nearNodeId

    UUID nearNodeId

Max order.

#### futId

    IgniteUuid futId

Future ID.

#### miniId

    IgniteUuid miniId

Mini future ID.

#### topVer

    long topVer

Topology version.

#### invalidateNearEntries

    BitSet invalidateNearEntries

Invalidate near entries flags.

#### nearWrites

    Collection<E> nearWrites

Near writes.

#### nearWritesBytes

    Collection<E> nearWritesBytes

Serialized near writes.

#### owned

    Map<K,V> owned

Owned versions by key.

#### ownedBytes

    byte[] ownedBytes

Owned versions bytes.

#### nearXidVer

    GridCacheVersion nearXidVer

Near transaction ID.

#### last

    boolean last

`True` if this is last prepare request for node.

#### subjId

    UUID subjId

Subject ID.

#### taskNameHash

    int taskNameHash

Task name hash.

#### preloadKeys

    BitSet preloadKeys

Preload keys.

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxPrepareResponse extends GridDistributedTxPrepareResponse<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### nearEvicted

    Collection<E> nearEvicted

Evicted readers.

#### nearEvictedBytes

    Collection<E> nearEvictedBytes

#### futId

    IgniteUuid futId

Future ID.

#### miniId

    IgniteUuid miniId

Mini future ID.

#### invalidParts

    Collection<E> invalidParts

Invalid partitions.

#### preloadEntries

    List<E> preloadEntries

#### preloadEntriesBytes

    List<E> preloadEntriesBytes

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxRemote extends GridDistributedTxRemoteAdapter<K,V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtUnlockRequest extends GridDistributedUnlockRequest<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### nearKeyBytes

    List<E> nearKeyBytes

Near keys.

#### nearKeys

    List<E> nearKeys

### Class org.apache.ignite.internal.processors.cache.distributed.dht.GridPartitionedGetFuture extends GridCompoundIdentityFuture<Map<K,V>> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.processors.cache.distributed.dht.atomic

### Class org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridDhtAtomicCache extends GridDhtCacheAdapter<K,V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridDhtAtomicDeferredUpdateResponse extends GridCacheMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### futVers

    Collection<E> futVers

ACK future versions.

### Class org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridDhtAtomicUpdateFuture extends GridFutureAdapter<Void> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridDhtAtomicUpdateRequest extends GridCacheMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### nodeId

    UUID nodeId

Node ID.

#### futVer

    GridCacheVersion futVer

Future version.

#### writeVer

    GridCacheVersion writeVer

Write version.

#### topVer

    long topVer

Topology version.

#### keys

    List<E> keys

Keys to update.

#### keyBytes

    List<E> keyBytes

Key bytes.

#### vals

    List<E> vals

Values to update.

#### valBytes

    List<E> valBytes

Value bytes.

#### drVers

    List<E> drVers

DR versions.

#### ttls

    GridLongList ttls

TTLs.

#### drExpireTimes

    GridLongList drExpireTimes

DR expire time.

#### nearTtls

    GridLongList nearTtls

Near TTLs.

#### nearExpireTimes

    GridLongList nearExpireTimes

Near expire times.

#### syncMode

    CacheWriteSynchronizationMode syncMode

Write synchronization mode.

#### nearKeys

    List<E> nearKeys

Keys to update.

#### nearKeyBytes

    List<E> nearKeyBytes

Key bytes.

#### nearVals

    List<E> nearVals

Values to update.

#### nearValBytes

    List<E> nearValBytes

Value bytes.

#### forceTransformBackups

    boolean forceTransformBackups

Force transform backups flag.

#### entryProcessors

    List<E> entryProcessors

Entry processors.

#### entryProcessorsBytes

    List<E> entryProcessorsBytes

Entry processors bytes.

#### nearEntryProcessors

    List<E> nearEntryProcessors

Near entry processors.

#### nearEntryProcessorsBytes

    List<E> nearEntryProcessorsBytes

Near entry processors bytes.

#### invokeArgs

    Object[] invokeArgs

Optional arguments for entry processor.

#### invokeArgsBytes

    byte[][] invokeArgsBytes

Entry processor arguments bytes.

#### subjId

    UUID subjId

Subject ID.

#### taskNameHash

    int taskNameHash

Task name hash.

### Class org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridDhtAtomicUpdateResponse extends GridCacheMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### futVer

    GridCacheVersion futVer

Future version.

#### failedKeys

    Collection<E> failedKeys

Failed keys.

#### failedKeysBytes

    byte[] failedKeysBytes

Serialized failed keys.

#### err

    IgniteCheckedException err

Update error.

#### errBytes

    byte[] errBytes

Serialized update error.

#### nearEvicted

    Collection<E> nearEvicted

Evicted readers.

#### nearEvictedBytes

    Collection<E> nearEvictedBytes

Evicted reader key bytes.

### Class org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridNearAtomicUpdateFuture extends GridFutureAdapter<Object> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridNearAtomicUpdateRequest extends GridCacheMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### nodeId

    UUID nodeId

Target node ID.

#### futVer

    GridCacheVersion futVer

Future version.

#### fastMap

    boolean fastMap

Fast map flag.

#### updateVer

    GridCacheVersion updateVer

Update version. Set to non-null if fastMap is `true`.

#### topVer

    long topVer

Topology version.

#### syncMode

    CacheWriteSynchronizationMode syncMode

Write synchronization mode.

#### op

    GridCacheOperation op

Update operation.

#### keys

    List<E> keys

Keys to update.

#### keyBytes

    List<E> keyBytes

Key bytes.

#### vals

    List<E> vals

Values to update.

#### valBytes

    List<E> valBytes

Value bytes.

#### invokeArgs

    Object[] invokeArgs

Optional arguments for entry processor.

#### invokeArgsBytes

    byte[][] invokeArgsBytes

Entry processor arguments bytes.

#### drVers

    List<E> drVers

DR versions.

#### drTtls

    GridLongList drTtls

DR TTLs.

#### drExpireTimes

    GridLongList drExpireTimes

DR TTLs.

#### retval

    boolean retval

Return value flag.

#### expiryPlc

    javax.cache.expiry.ExpiryPolicy expiryPlc

Expiry policy.

#### expiryPlcBytes

    byte[] expiryPlcBytes

Expiry policy bytes.

#### filter

    IgnitePredicate<E>[] filter

Filter.

#### filterBytes

    byte[][] filterBytes

Filter bytes.

#### hasPrimary

    boolean hasPrimary

Flag indicating whether request contains primary keys.

#### forceTransformBackups

    boolean forceTransformBackups

Force transform backups flag.

#### subjId

    UUID subjId

Subject ID.

#### taskNameHash

    int taskNameHash

Task name hash.

### Class org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridNearAtomicUpdateResponse extends GridCacheMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### nodeId

    UUID nodeId

Node ID this reply should be sent to.

#### futVer

    GridCacheVersion futVer

Future version.

#### err

    IgniteCheckedException err

Update error.

#### errBytes

    byte[] errBytes

Serialized error.

#### retVal

    GridCacheReturn<V> retVal

Return value.

#### retValBytes

    byte[] retValBytes

Serialized return value.

#### failedKeys

    Collection<E> failedKeys

Failed keys.

#### failedKeysBytes

    byte[] failedKeysBytes

Serialized failed keys.

#### remapKeys

    Collection<E> remapKeys

Keys that should be remapped.

#### remapKeysBytes

    byte[] remapKeysBytes

Serialized keys that should be remapped.

#### nearValsIdxs

    List<E> nearValsIdxs

Indexes of keys for which values were generated on primary node (used if originating node has near cache).

#### nearSkipIdxs

    List<E> nearSkipIdxs

Indexes of keys for which update was skipped (used if originating node has near cache).

#### nearVals

    List<E> nearVals

Values generated on primary node which should be put to originating node's near cache.

#### nearValBytes

    List<E> nearValBytes

Serialized values generated on primary node which should be put to originating node's near cache.

#### nearVer

    GridCacheVersion nearVer

Version generated on primary node to be used for originating node's near cache update.

#### nearTtls

    GridLongList nearTtls

Near TTLs.

#### nearExpireTimes

    GridLongList nearExpireTimes

Near expire times.

## Package org.apache.ignite.internal.processors.cache.distributed.dht.colocated

### Class org.apache.ignite.internal.processors.cache.distributed.dht.colocated.GridDhtColocatedCache extends GridDhtTransactionalCacheAdapter<K,V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.colocated.GridDhtColocatedLockFuture extends GridCompoundIdentityFuture<Boolean> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.processors.cache.distributed.dht.preloader

### Class org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtForceKeysFuture extends GridCompoundFuture<Object,Collection<K>> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtForceKeysRequest extends GridCacheMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### futId

    IgniteUuid futId

Future ID.

#### miniId

    IgniteUuid miniId

Mini-future ID.

#### keyBytes

    Collection<E> keyBytes

Serialized keys.

#### keys

    Collection<E> keys

Keys to request.

#### topVer

    long topVer

Topology version for which keys are requested.

### Class org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtForceKeysResponse extends GridCacheMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### futId

    IgniteUuid futId

Future ID.

#### miniId

    IgniteUuid miniId

Mini-future ID.

#### missedKeyBytes

    Collection<E> missedKeyBytes

#### missedKeys

    Collection<E> missedKeys

Missed (not found) keys.

#### infos

    List<E> infos

Cache entries.

#### infosBytes

    byte[] infosBytes

### Class org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionDemandMessage extends GridCacheMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### updateSeq

    long updateSeq

Update sequence.

#### parts

    Collection<E> parts

Partition.

#### topic

    Object topic

Topic.

#### topicBytes

    byte[] topicBytes

Serialized topic.

#### timeout

    long timeout

Timeout.

#### workerId

    int workerId

Worker ID.

#### topVer

    long topVer

Topology version.

### Class org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionExchangeId extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionFullMap extends HashMap<UUID,GridDhtPartitionMap> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionMap extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionsExchangeFuture extends GridFutureAdapter<Long> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionsFullMessage extends org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionsAbstractMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### parts

    Map<K,V> parts

#### partsBytes

    byte[] partsBytes

#### topVer

    long topVer

Topology version.

### Class org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionsSingleMessage extends org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionsAbstractMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### parts

    Map<K,V> parts

Local partitions.

#### partsBytes

    byte[] partsBytes

Serialized partitions.

### Class org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionsSingleRequest extends org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionsAbstractMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionSupplyMessage extends GridCacheMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### workerId

    int workerId

Worker ID.

#### updateSeq

    long updateSeq

Update sequence.

#### ack

    boolean ack

Acknowledgement flag.

#### last

    Collection<E> last

Partitions that have been fully sent.

#### missed

    Collection<E> missed

Partitions which were not found.

#### infos

    Map<K,V> infos

Entries.

#### infoBytesMap

    Map<K,V> infoBytesMap

Cache entries in serialized form.

#### infoBytes

    byte[] infoBytes

#### msgSize

    int msgSize

Message size.

### Class org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPreloaderAssignments extends ConcurrentHashMap<ClusterNode,GridDhtPartitionDemandMessage<K,V>> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### exchFut

    GridDhtPartitionsExchangeFuture<K,V> exchFut

Exchange future.

#### topVer

    long topVer

Last join order.

## Package org.apache.ignite.internal.processors.cache.distributed.near

### Class org.apache.ignite.internal.processors.cache.distributed.near.GridNearAtomicCache extends GridNearCacheAdapter<K,V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.near.GridNearCacheAdapter extends GridDistributedCacheAdapter<K,V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.near.GridNearGetFuture extends GridCompoundIdentityFuture<Map<K,V>> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.near.GridNearGetRequest extends GridCacheMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### futId

    IgniteUuid futId

Future ID.

#### miniId

    IgniteUuid miniId

Sub ID.

#### ver

    GridCacheVersion ver

Version.

#### keys

    LinkedHashMap<K,V> keys

#### reload

    boolean reload

Reload flag.

#### readThrough

    boolean readThrough

Read through flag.

#### skipVals

    boolean skipVals

Skip values flag. Used for `containsKey` method.

#### keyBytes

    LinkedHashMap<K,V> keyBytes

#### topVer

    long topVer

Topology version.

#### subjId

    UUID subjId

Subject ID.

#### taskNameHash

    int taskNameHash

Task name hash.

#### accessTtl

    long accessTtl

TTL for read operation.

### Class org.apache.ignite.internal.processors.cache.distributed.near.GridNearGetResponse extends GridCacheMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### futId

    IgniteUuid futId

Future ID.

#### miniId

    IgniteUuid miniId

Sub ID.

#### ver

    GridCacheVersion ver

Version.

#### entries

    Collection<E> entries

Result.

#### entriesBytes

    byte[] entriesBytes

#### invalidParts

    Collection<E> invalidParts

Keys to retry due to ownership shift.

#### topVer

    long topVer

Topology version if invalid partitions is not empty.

#### err

    Throwable err

Error.

#### errBytes

    byte[] errBytes

Serialized error.

### Class org.apache.ignite.internal.processors.cache.distributed.near.GridNearLockFuture extends GridCompoundIdentityFuture<Boolean> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.near.GridNearLockRequest extends GridDistributedLockRequest<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### topVer

    long topVer

Topology version.

#### miniId

    IgniteUuid miniId

Mini future ID.

#### filterBytes

    byte[][] filterBytes

Filter.

#### filter

    IgnitePredicate<E>[] filter

Filter.

#### implicitTx

    boolean implicitTx

Implicit flag.

#### implicitSingleTx

    boolean implicitSingleTx

Implicit transaction with one key flag.

#### onePhaseCommit

    boolean onePhaseCommit

One phase commit flag.

#### dhtVers

    GridCacheVersion[] dhtVers

Array of mapped DHT versions for this entry.

#### subjId

    UUID subjId

Subject ID.

#### taskNameHash

    int taskNameHash

Task name hash.

#### hasTransforms

    boolean hasTransforms

Has transforms flag.

#### syncCommit

    boolean syncCommit

Sync commit flag.

#### accessTtl

    long accessTtl

TTL for read operation.

### Class org.apache.ignite.internal.processors.cache.distributed.near.GridNearLockResponse extends GridDistributedLockResponse<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### pending

    Collection<E> pending

Collection of versions that are pending and less than lock version.

#### miniId

    IgniteUuid miniId

#### dhtVers

    GridCacheVersion[] dhtVers

DHT versions.

#### mappedVers

    GridCacheVersion[] mappedVers

DHT candidate versions.

#### filterRes

    boolean[] filterRes

Filter evaluation results for fast-commit transactions.

### Class org.apache.ignite.internal.processors.cache.distributed.near.GridNearTransactionalCache extends GridNearCacheAdapter<K,V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxFinishFuture extends GridCompoundIdentityFuture<IgniteInternalTx> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxFinishRequest extends GridDistributedTxFinishRequest<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### miniId

    IgniteUuid miniId

Mini future ID.

#### explicitLock

    boolean explicitLock

Explicit lock flag.

#### storeEnabled

    boolean storeEnabled

Store enabled flag.

#### topVer

    long topVer

Topology version.

#### subjId

    UUID subjId

Subject ID.

#### taskNameHash

    int taskNameHash

Task name hash.

### Class org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxFinishResponse extends GridDistributedTxFinishResponse<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### err

    Throwable err

Heuristic error.

#### errBytes

    byte[] errBytes

Serialized error.

#### miniId

    IgniteUuid miniId

Mini future ID.

#### nearThreadId

    long nearThreadId

Near tx thread ID.

### Class org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxLocal extends GridDhtTxLocalAdapter<K,V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxPrepareFuture extends GridCompoundIdentityFuture<IgniteInternalTx<K,V>> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxPrepareRequest extends GridDistributedTxPrepareRequest<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### futId

    IgniteUuid futId

Future ID.

#### miniId

    IgniteUuid miniId

Mini future ID.

#### near

    boolean near

Near mapping flag.

#### topVer

    long topVer

Topology version.

#### last

    boolean last

`True` if this last prepare request for node.

#### lastBackups

    Collection<E> lastBackups

IDs of backup nodes receiving last prepare request during this prepare.

#### retVal

    boolean retVal

Need return value flag.

#### implicitSingle

    boolean implicitSingle

Implicit single flag.

#### subjId

    UUID subjId

Subject ID.

#### taskNameHash

    int taskNameHash

Task name hash.

### Class org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxPrepareResponse extends GridDistributedTxPrepareResponse<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### pending

    Collection<E> pending

Collection of versions that are pending and less than lock version.

#### futId

    IgniteUuid futId

Future ID.

#### miniId

    IgniteUuid miniId

Mini future ID.

#### dhtVer

    GridCacheVersion dhtVer

DHT version.

#### invalidParts

    Collection<E> invalidParts

#### ownedVals

    Map<K,V> ownedVals

Map of owned values to set on near node.

#### ownedValsBytes

    Collection<E> ownedValsBytes

Marshalled owned bytes.

#### retVal

    GridCacheReturn<V> retVal

Cache return value.

#### retValBytes

    byte[] retValBytes

Return value bytes.

#### filterFailedKeys

    Collection<E> filterFailedKeys

Filter failed keys.

#### filterFailedKeyBytes

    byte[] filterFailedKeyBytes

Filter failed key bytes.

### Class org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxRemote extends GridDistributedTxRemoteAdapter<K,V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.distributed.near.GridNearUnlockRequest extends GridDistributedUnlockRequest<K,V> implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.internal.processors.cache.dr

### Class org.apache.ignite.internal.processors.cache.dr.GridCacheDrExpirationInfo extends GridCacheDrInfo<V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.dr.GridCacheDrInfo extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.processors.cache.local

### Class org.apache.ignite.internal.processors.cache.local.GridLocalCache extends GridCacheAdapter<K,V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.local.GridLocalLockFuture extends GridFutureAdapter<Boolean> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.processors.cache.local.atomic

### Class org.apache.ignite.internal.processors.cache.local.atomic.GridLocalAtomicCache extends GridCacheAdapter<K,V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.processors.cache.query

### Class org.apache.ignite.internal.processors.cache.query.GridCacheDistributedFieldsQueryFuture extends GridCacheDistributedQueryFuture<Object,Object,List<Object>> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.query.GridCacheDistributedQueryFuture extends GridCacheQueryFutureAdapter<K,V,R> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.query.GridCacheFieldsQueryErrorFuture extends GridCacheQueryErrorFuture<List<?>> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.query.GridCacheLocalFieldsQueryFuture extends GridCacheLocalQueryFuture<Object,Object,List<Object>> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.query.GridCacheLocalQueryFuture extends GridCacheQueryFutureAdapter<K,V,R> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.query.GridCacheQueriesImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.query.GridCacheQueriesProxy extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.query.GridCacheQueryErrorFuture extends GridFinishedFuture<Collection<T>> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.query.GridCacheQueryFutureAdapter extends GridFutureAdapter<Collection<R>> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.query.GridCacheQueryMetricsAdapter extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.query.GridCacheQueryRequest extends GridCacheMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### id

    long id

#### cacheName

    String cacheName

#### type

    GridCacheQueryType type

#### fields

    boolean fields

#### clause

    String clause

#### clsName

    String clsName

#### keyValFilter

    IgniteBiPredicate<E1,E2> keyValFilter

#### keyValFilterBytes

    byte[] keyValFilterBytes

#### prjFilter

    IgnitePredicate<E> prjFilter

#### prjFilterBytes

    byte[] prjFilterBytes

#### rdc

    IgniteReducer<E,R> rdc

#### rdcBytes

    byte[] rdcBytes

#### trans

    IgniteClosure<E,R> trans

#### transBytes

    byte[] transBytes

#### args

    Object[] args

#### argsBytes

    byte[] argsBytes

#### pageSize

    int pageSize

#### incBackups

    boolean incBackups

#### cancel

    boolean cancel

#### incMeta

    boolean incMeta

#### all

    boolean all

#### keepPortable

    boolean keepPortable

#### subjId

    UUID subjId

#### taskHash

    int taskHash

### Class org.apache.ignite.internal.processors.cache.query.GridCacheQueryResponse extends GridCacheMessage<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### finished

    boolean finished

#### reqId

    long reqId

#### err

    Throwable err

#### errBytes

    byte[] errBytes

#### fields

    boolean fields

#### metaDataBytes

    Collection<E> metaDataBytes

#### metadata

    List<E> metadata

#### dataBytes

    Collection<E> dataBytes

#### data

    Collection<E> data

### Class org.apache.ignite.internal.processors.cache.query.GridCacheQueryResponseEntry extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.query.GridCacheSqlQuery extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.query.GridCacheTwoStepQuery extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### mapQrys

    Map<K,V> mapQrys

#### reduce

    GridCacheSqlQuery reduce

## Package org.apache.ignite.internal.processors.cache.query.jdbc

### Class org.apache.ignite.internal.processors.cache.query.jdbc.GridCacheQueryJdbcMetadataTask extends ComputeTaskAdapter<String,byte[]> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.cache.query.jdbc.GridCacheQueryJdbcTask extends ComputeTaskAdapter<byte[],byte[]> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.cache.query.jdbc.GridCacheQueryJdbcValidationTask extends ComputeTaskSplitAdapter<String,Boolean> implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.internal.processors.cache.transactions

### Class org.apache.ignite.internal.processors.cache.transactions.IgniteTxAdapter extends GridMetadataAwareAdapter implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.transactions.IgniteTxEntry extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.transactions.IgniteTxKey extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.transactions.IgniteTxLocalAdapter extends IgniteTxAdapter<K,V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.transactions.IgniteTxLocalAdapter.FinishClosure extends Object implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.cache.transactions.IgniteTxLocalAdapter.PLC1 extends IgniteTxLocalAdapter.PostLockClosure1<T> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.cache.transactions.IgniteTxLocalAdapter.PLC2 extends IgniteTxLocalAdapter.PostLockClosure2<T> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.cache.transactions.IgniteTxLocalAdapter.PMC extends IgniteTxLocalAdapter.PostMissClosure<T> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.cache.transactions.IgniteTxLocalAdapter.PostLockClosure1 extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### arg

    Object arg

Closure argument.

#### commit

    boolean commit

Commit flag.

### Class org.apache.ignite.internal.processors.cache.transactions.IgniteTxLocalAdapter.PostLockClosure2 extends Object implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.cache.transactions.IgniteTxLocalAdapter.PostMissClosure extends Object implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.cache.transactions.IgniteTxMap extends AbstractMap<IgniteTxKey<K>,IgniteTxEntry<K,V>> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.transactions.TransactionMetricsAdapter extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.transactions.TransactionProxyImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.processors.cache.version

### Class org.apache.ignite.internal.processors.cache.version.GridCacheRawVersionedEntry extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.version.GridCacheVersion extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Throws:
  `IOException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.cache.version.GridCacheVersionEx extends GridCacheVersion implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Throws:
  `IOException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.processors.clock

### Class org.apache.ignite.internal.processors.clock.GridClockDeltaSnapshotMessage extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### snapVer

    GridClockDeltaVersion snapVer

Snapshot version.

#### deltas

    Map<K,V> deltas

Grid time deltas.

### Class org.apache.ignite.internal.processors.clock.GridClockDeltaVersion extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.processors.closure

### Class org.apache.ignite.internal.processors.closure.GridPeerDeployAwareTaskAdapter extends ComputeTaskAdapter<T,R> implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.internal.processors.continuous

### Class org.apache.ignite.internal.processors.continuous.GridContinuousMessage extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### type

    org.apache.ignite.internal.processors.continuous.GridContinuousMessageType type

Message type.

#### routineId

    UUID routineId

Routine ID.

#### data

    Object data

Optional message data.

#### dataBytes

    byte[] dataBytes

Serialized message data.

#### futId

    IgniteUuid futId

Future ID for synchronous event notifications.

## Package org.apache.ignite.internal.processors.dataload

### Class org.apache.ignite.internal.processors.dataload.GridDataLoadRequest extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### reqId

    long reqId

#### resTopicBytes

    byte[] resTopicBytes

#### cacheName

    String cacheName

Cache name.

#### updaterBytes

    byte[] updaterBytes

#### colBytes

    byte[] colBytes

Entries to put.

#### ignoreDepOwnership

    boolean ignoreDepOwnership

`True` to ignore deployment ownership.

#### skipStore

    boolean skipStore

#### depMode

    DeploymentMode depMode

#### sampleClsName

    String sampleClsName

#### userVer

    String userVer

#### ldrParticipants

    Map<K,V> ldrParticipants

Node class loader participants.

#### clsLdrId

    IgniteUuid clsLdrId

#### forceLocDep

    boolean forceLocDep

### Class org.apache.ignite.internal.processors.dataload.GridDataLoadResponse extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### reqId

    long reqId

#### errBytes

    byte[] errBytes

#### forceLocDep

    boolean forceLocDep

## Package org.apache.ignite.internal.processors.datastructures

### Class org.apache.ignite.internal.processors.datastructures.CacheDataStructuresConfigurationKey extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheAtomicLongImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheAtomicLongValue extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Throws:
  `IOException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheAtomicReferenceImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheAtomicReferenceValue extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheAtomicSequenceImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheAtomicSequenceValue extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Throws:
  `IOException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheAtomicStampedImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheAtomicStampedValue extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheCountDownLatchImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheCountDownLatchValue extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Throws:
  `IOException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheInternalKeyImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Throws:
  `IOException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheQueueAdapter.AddProcessor extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheQueueAdapter.ClearProcessor extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheQueueAdapter.PollProcessor extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheQueueAdapter.RemoveProcessor extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheQueueHeader extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheQueueHeaderKey extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheQueueProxy extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheSetHeader extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheSetHeaderKey extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheSetItemKey extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridCacheSetProxy extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.datastructures.GridSetQueryPredicate extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.processors.dr

### Class org.apache.ignite.internal.processors.dr.GridDrDataLoadCacheUpdater extends Object implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.internal.processors.hadoop

### Class org.apache.ignite.internal.processors.hadoop.GridHadoopFileBlock extends GridHadoopInputSplit implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.hadoop.GridHadoopInputSplit extends Object implements Serializable

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput arg0)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput arg0)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.hadoop.GridHadoopJobId extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.hadoop.GridHadoopJobStatus extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.hadoop.GridHadoopTaskInfo extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.processors.igfs

### Class org.apache.ignite.internal.processors.igfs.IgfsAckMessage extends IgfsCommunicationMessage implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### fileId

    IgniteUuid fileId

File id.

#### id

    long id

Request ID to ack.

#### err

    IgniteCheckedException err

Write exception.

#### errBytes

    byte[] errBytes

### Class org.apache.ignite.internal.processors.igfs.IgfsAttributes extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.igfs.IgfsBlockKey extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Throws:
  `IOException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.igfs.IgfsBlockLocationImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Reads object from data input. Note we do not use externalizable interface to eliminate marshaller.

Throws:
  `IOException` - If read failed.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Writes this object to data output. Note that this is not externalizable interface because we want to eliminate any marshaller.

Throws:
  `IOException` - If write failed.

### Class org.apache.ignite.internal.processors.igfs.IgfsBlocksMessage extends IgfsCommunicationMessage implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### fileId

    IgniteUuid fileId

File id.

#### id

    long id

Batch id

#### blocks

    Map<K,V> blocks

Blocks to store.

### Class org.apache.ignite.internal.processors.igfs.IgfsCommunicationMessage extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.igfs.IgfsDeleteMessage extends IgfsCommunicationMessage implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### id

    IgniteUuid id

Deleted entry ID.

#### err

    IgniteCheckedException err

Optional error.

#### errBytes

    byte[] errBytes

### Class org.apache.ignite.internal.processors.igfs.IgfsDirectoryNotEmptyException extends IgfsException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.igfs.IgfsFileAffinityRange extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.igfs.IgfsFileImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Reads object from data input.

Throws:
  `IOException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Writes object to data output.

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.igfs.IgfsFileInfo extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.igfs.IgfsFileMap extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.igfs.IgfsFragmentizerRequest extends IgfsCommunicationMessage implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### fileId

    IgniteUuid fileId

File id.

#### fragmentRanges

    Collection<E> fragmentRanges

Ranges to fragment.

### Class org.apache.ignite.internal.processors.igfs.IgfsFragmentizerResponse extends IgfsCommunicationMessage implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### fileId

    IgniteUuid fileId

File ID.

### Class org.apache.ignite.internal.processors.igfs.IgfsHandshakeResponse extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.igfs.IgfsInputStreamDescriptor extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Throws:
  `IOException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.igfs.IgfsInvalidRangeException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.igfs.IgfsJobImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### job

    IgfsJob job

IGFS job.

#### igfsName

    String igfsName

IGFS name.

#### path

    IgfsPath path

IGFS path.

#### start

    long start

Start.

#### len

    long len

Length.

#### rslvr

    IgfsRecordResolver rslvr

Split resolver.

#### ignite

    Ignite ignite

Injected grid.

#### log

    IgniteLogger log

Injected logger.

### Class org.apache.ignite.internal.processors.igfs.IgfsListingEntry extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.igfs.IgfsMetricsAdapter extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Throws:
  `IOException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.igfs.IgfsPaths extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.igfs.IgfsStatus extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.igfs.IgfsSyncMessage extends IgfsCommunicationMessage implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### order

    long order

Coordinator node order.

#### res

    boolean res

Response flag.

### Class org.apache.ignite.internal.processors.igfs.IgfsTaskArgsImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.processors.query

## Package org.apache.ignite.internal.processors.rest

### Class org.apache.ignite.internal.processors.rest.GridRestResponse extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.processors.rest.client.message

### Class org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.rest.client.message.GridClientAuthenticationRequest extends GridClientAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.rest.client.message.GridClientCacheQueryRequest extends GridClientAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.rest.client.message.GridClientCacheRequest extends GridClientAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.rest.client.message.GridClientHandshakeRequest extends GridClientAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.rest.client.message.GridClientHandshakeResponse extends GridClientAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.rest.client.message.GridClientNodeBean extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.rest.client.message.GridClientNodeMetricsBean extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.rest.client.message.GridClientPingPacket extends GridClientAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.rest.client.message.GridClientResponse extends GridClientAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.rest.client.message.GridClientTaskRequest extends GridClientAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.rest.client.message.GridClientTaskResultBean extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.rest.client.message.GridClientTopologyRequest extends GridClientAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.rest.client.message.GridRouterRequest extends GridClientAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.rest.client.message.GridRouterResponse extends GridClientAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.processors.rest.handlers.cache

### Class org.apache.ignite.internal.processors.rest.handlers.cache.GridCacheClientQueryResult extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### qryId

    long qryId

Query ID.

#### items

    Collection<E> items

Result items.

#### last

    boolean last

Last flag.

#### nodeId

    UUID nodeId

Node ID.

### Class org.apache.ignite.internal.processors.rest.handlers.cache.GridCacheRestResponse extends GridRestResponse implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.processors.rest.handlers.task

### Class org.apache.ignite.internal.processors.rest.handlers.task.GridTaskResultRequest extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### taskId

    IgniteUuid taskId

Task ID.

#### topic

    Object topic

Topic.

#### topicBytes

    byte[] topicBytes

Serialized topic.

### Class org.apache.ignite.internal.processors.rest.handlers.task.GridTaskResultResponse extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### res

    Object res

Result.

#### resBytes

    byte[] resBytes

Serialized result.

#### finished

    boolean finished

Finished flag.

#### found

    boolean found

Flag indicating that task has ever been launched on node.

#### err

    String err

Error.

## Package org.apache.ignite.internal.processors.rest.protocols.tcp

### Class org.apache.ignite.internal.processors.rest.protocols.tcp.GridMemcachedMessage extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### reqFlag

    byte reqFlag

Request flag.

#### opCode

    byte opCode

Operation code.

#### keyLen

    short keyLen

Key length.

#### extrasLen

    byte extrasLen

Extras length.

#### status

    int status

Status.

#### totalLen

    int totalLen

Total body length.

#### opaque

    byte[] opaque

Opaque.

#### extras

    byte[] extras

Extras.

#### key

    Object key

Key.

#### val

    Object val

Value.

#### delta

    Long delta

Value to add/subtract

#### init

    Long init

Initial value for increment and decrement commands.

#### expiration

    Long expiration

Expiration time.

#### cacheName

    String cacheName

Cache name.

## Package org.apache.ignite.internal.processors.rest.request

### Class org.apache.ignite.internal.processors.rest.request.GridRestCacheQueryRequest extends GridRestRequest implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### msg

    GridClientCacheQueryRequest msg

Request message.

## Package org.apache.ignite.internal.processors.security

### Class org.apache.ignite.internal.processors.security.GridSecurityContext extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.processors.service

### Class org.apache.ignite.internal.processors.service.GridServiceAssignments extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### nodeId

    UUID nodeId

Node ID.

#### topVer

    long topVer

Topology version.

#### cfg

    ServiceConfiguration cfg

Service configuration.

#### assigns

    Map<K,V> assigns

Assignments.

### Class org.apache.ignite.internal.processors.service.GridServiceAssignmentsKey extends GridCacheUtilityKey<GridServiceAssignmentsKey> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### name

    String name

Service name.

### Class org.apache.ignite.internal.processors.service.GridServiceDeployment extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### nodeId

    UUID nodeId

Node ID.

#### cfg

    ServiceConfiguration cfg

Service configuration.

### Class org.apache.ignite.internal.processors.service.GridServiceDeploymentFuture extends GridFutureAdapter<Object> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.service.GridServiceDeploymentKey extends GridCacheUtilityKey<GridServiceDeploymentKey> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### name

    String name

Service name.

### Class org.apache.ignite.internal.processors.service.GridServiceMethodNotFoundException extends IgniteException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.service.GridServiceNotFoundException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.service.ServiceContextImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### name

    String name

Service name.

#### execId

    UUID execId

Execution ID.

#### cacheName

    String cacheName

Cache name.

#### affKey

    Object affKey

Affinity key.

#### svc

    Service svc

Service.

#### exe

    ExecutorService exe

Executor service.

#### mtds

    ConcurrentMap<K,V> mtds

Methods reflection cache.

#### isCancelled

    boolean isCancelled

Cancelled flag.

### Class org.apache.ignite.internal.processors.service.ServiceDescriptorImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### dep

    GridServiceDeployment dep

Configuration.

#### top

    Map<K,V> top

Topology snapshot.

## Package org.apache.ignite.internal.processors.streamer

### Class org.apache.ignite.internal.processors.streamer.GridStreamerAttributes extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.streamer.GridStreamerCancelRequest extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### cancelledFutId

    IgniteUuid cancelledFutId

Cancelled future ID.

### Class org.apache.ignite.internal.processors.streamer.GridStreamerExecutionBatch extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.streamer.GridStreamerExecutionRequest extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### forceLocDep

    boolean forceLocDep

Force local deployment flag.

#### batchBytes

    byte[] batchBytes

Serialized batch in case if P2P class loading is enabled.

#### depMode

    DeploymentMode depMode

Deployment mode.

#### sampleClsName

    String sampleClsName

Deployment sample class name.

#### userVer

    String userVer

Deployment user version.

#### ldrParticipants

    Map<K,V> ldrParticipants

Node class loader participants.

#### clsLdrId

    IgniteUuid clsLdrId

Class loader ID.

### Class org.apache.ignite.internal.processors.streamer.GridStreamerResponse extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### futId

    IgniteUuid futId

#### errBytes

    byte[] errBytes

### Class org.apache.ignite.internal.processors.streamer.GridStreamerRouteFailedException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.processors.streamer.GridStreamerStageExecutionFuture extends GridFutureAdapter<Object> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.processors.streamer.IgniteStreamerImpl extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.processors.streamer.task

### Class org.apache.ignite.internal.processors.streamer.task.GridStreamerBroadcastTask extends GridPeerDeployAwareTaskAdapter<Void,Void> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### clo

    IgniteInClosure<E> clo

Closure.

#### streamer

    String streamer

Streamer.

### Class org.apache.ignite.internal.processors.streamer.task.GridStreamerQueryTask extends GridPeerDeployAwareTaskAdapter<Void,Collection<R>> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### qryClos

    IgniteClosure<E,R> qryClos

Query closure.

#### streamer

    String streamer

Streamer.

### Class org.apache.ignite.internal.processors.streamer.task.GridStreamerReduceTask extends GridPeerDeployAwareTaskAdapter<Void,R2> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### clos

    IgniteClosure<E,R> clos

Query closure.

#### rdc

    IgniteReducer<E,R> rdc

Reducer.

#### streamer

    String streamer

Streamer.

## Package org.apache.ignite.internal.transactions

### Class org.apache.ignite.internal.transactions.IgniteTxHeuristicCheckedException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.transactions.IgniteTxOptimisticCheckedException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.transactions.IgniteTxRollbackCheckedException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.transactions.IgniteTxTimeoutCheckedException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.internal.util

### Class org.apache.ignite.internal.util.GridAtomicInteger extends AtomicInteger implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.GridAtomicLong extends AtomicLong implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.GridBoundedConcurrentLinkedHashSet extends GridSetWrapper<E> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.GridBoundedConcurrentOrderedMap extends ConcurrentSkipListMap<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### cnt

    AtomicInteger cnt

Element count.

#### max

    int max

Maximum size.

#### lsnr

    IgniteBiInClosure<E1,E2> lsnr

Listener.

### Class org.apache.ignite.internal.util.GridBoundedConcurrentOrderedSet extends GridConcurrentSkipListSet<E> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### cnt

    AtomicInteger cnt

Element count.

#### max

    int max

Maximum size.

### Class org.apache.ignite.internal.util.GridBoundedLinkedHashMap extends LinkedHashMap<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### maxCap

    int maxCap

Maximum map capacity.

### Class org.apache.ignite.internal.util.GridBoundedLinkedHashSet extends GridSerializableSet<E> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.GridByteArrayList extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.GridCloseableIteratorAdapter extends GridIteratorAdapter<T> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### closed

    boolean closed

Closed flag.

### Class org.apache.ignite.internal.util.GridCloseableIteratorAdapterEx extends GridIteratorAdapter<T> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### closed

    AtomicBoolean closed

Closed flag.

### Class org.apache.ignite.internal.util.GridConcurrentHashSet extends GridSetWrapper<E> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.GridConcurrentLinkedHashSet extends GridSetWrapper<E> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.GridConcurrentSkipListSet extends GridSerializableSet<E> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### m

    ConcurrentNavigableMap<K,V> m

The underlying map. Uses Boolean.TRUE as value for each element.

### Class org.apache.ignite.internal.util.GridEmptyCloseableIterator extends GridEmptyIterator<T> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### closed

    boolean closed

Closed flag.

### Class org.apache.ignite.internal.util.GridEmptyIterator extends GridIteratorAdapter<T> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.GridIdentityHashSet extends GridSetWrapper<E> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.GridLeanMap extends GridSerializableMap<K,V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### map

    org.apache.ignite.internal.util.GridLeanMap.LeanMap<K,V> map

Implementation used internally.

### Class org.apache.ignite.internal.util.GridLeanSet extends GridSetWrapper<E> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.GridListSet extends GridSerializableSet<V> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### vals

    LinkedList<E> vals

Internal list.

#### comp

    Comparator<T> comp

Comparator.

#### strict

    boolean strict

Strict flag.

### Class org.apache.ignite.internal.util.GridLongList extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.GridMutex extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.GridRandom extends Random implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### rnd

    long rnd

### Class org.apache.ignite.internal.util.GridReflectionCache extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.GridSerializableCollection extends AbstractCollection<E> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.GridSerializableList extends AbstractList<E> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.GridSerializableMap extends AbstractMap<K,V> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.GridSerializableSet extends AbstractSet<E> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.GridSetWrapper extends GridSerializableSet<E> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### map

    Map<K,V> map

Base map.

### Class org.apache.ignite.internal.util.GridSpiCloseableIteratorWrapper extends GridCloseableIteratorAdapter<T> implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### iter

    IgniteSpiCloseableIterator<T> iter

### Class org.apache.ignite.internal.util.GridStringBuilder extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readObject

    private void readObject(ObjectInputStream s)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException` - Thrown in case of any IO errors.
  `ClassNotFoundException` - Thrown if read class cannot be found.

#### writeObject

    private void writeObject(ObjectOutputStream s)
                      throws IOException

Throws:
  `IOException` - Thrown in case of any IO errors.

### Serialized Fields

#### impl

    StringBuilder impl

### Class org.apache.ignite.internal.util.GridSynchronizedMap extends ConcurrentHashMap8<K,V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.util.future

### Class org.apache.ignite.internal.util.future.GridCompoundFuture extends GridFutureAdapter<R> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.future.GridCompoundIdentityFuture extends GridCompoundFuture<T,T> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.future.GridEmbeddedFuture extends GridFutureAdapter<A> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.future.GridFinishedFuture extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.future.GridFinishedFutureEx extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.future.GridFutureAdapter extends AbstractQueuedSynchronizer implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.future.GridFutureAdapterEx extends AbstractQueuedSynchronizer implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.future.GridFutureChainListener extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### ctx

    GridKernalContext ctx

Context.

#### fut

    GridFutureAdapter<R> fut

Target future.

#### doneCb

    IgniteClosure<E,R> doneCb

Done callback.

## Package org.apache.ignite.internal.util.gridify

### Class org.apache.ignite.internal.util.gridify.GridifyJobAdapter extends ComputeJobAdapter implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.gridify.GridifyRangeArgument extends GridifyArgumentAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### paramIdx

    int paramIdx

Identify where to find data in method signature.

#### mtdReturnType

    Class<T> mtdReturnType

Method return type.

## Package org.apache.ignite.internal.util.ipc

### Class org.apache.ignite.internal.util.ipc.IpcEndpointBindException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.internal.util.ipc.shmem

### Class org.apache.ignite.internal.util.ipc.shmem.IpcOutOfSystemResourcesException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.ipc.shmem.IpcSharedMemoryInitRequest extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.ipc.shmem.IpcSharedMemoryInitResponse extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.ipc.shmem.IpcSharedMemoryOperationTimedoutException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.internal.util.lang

### Class org.apache.ignite.internal.util.lang.GridAbsClosure extends Object implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.lang.GridAbsClosureX extends GridAbsClosure implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.lang.GridClosureException extends IgniteException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.lang.GridComputeJobWrapper extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### job

    ComputeJob job

### Class org.apache.ignite.internal.util.lang.GridIterableAdapter extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### impl

    GridIterator<T> impl

### Class org.apache.ignite.internal.util.lang.GridIteratorAdapter extends Object implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.lang.GridMapEntry extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### key

    Object key

#### val

    Object val

### Class org.apache.ignite.internal.util.lang.GridNodePredicate extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### ids

    Set<E> ids

#### hash

    int hash

### Class org.apache.ignite.internal.util.lang.GridPeerDeployAwareAdapter extends Object implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.lang.GridTriple extends GridTuple3<T,T,T> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.lang.GridTuple extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.lang.GridTuple3 extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.lang.GridTuple4 extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.lang.GridTuple5 extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.lang.GridTuple6 extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.lang.GridTupleV extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.lang.IgniteClosure2X extends Object implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.lang.IgniteClosureX extends Object implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.lang.IgniteInClosure2X extends Object implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.lang.IgniteInClosureX extends Object implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.lang.IgniteOutClosureX extends Object implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.lang.IgnitePair extends IgniteBiTuple<T,T> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.lang.IgnitePredicate2X extends Object implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.lang.IgnitePredicateX extends Object implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.lang.IgniteReducer2X extends Object implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.lang.IgniteReducer3X extends Object implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.lang.IgniteReducerX extends Object implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.internal.util.nio

### Class org.apache.ignite.internal.util.nio.GridNioEmbeddedFuture extends GridNioFutureImpl<R> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.nio.GridNioException extends IgniteCheckedException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.nio.GridNioFutureImpl extends AbstractQueuedSynchronizer implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### res

    Object res

Result.

#### err

    Throwable err

Error.

#### startTime

    long startTime

Future start time.

#### endTime

    long endTime

#### msgThread

    boolean msgThread

#### lsnrs

    Collection<E> lsnrs

Asynchronous listeners.

#### mux

    Object mux

### Class org.apache.ignite.internal.util.nio.GridNioMessageTracker extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### ses

    GridNioSession ses

#### msgQueueLimit

    int msgQueueLimit

#### lock

    Lock lock

#### msgCnt

    AtomicInteger msgCnt

#### paused

    boolean paused

## Package org.apache.ignite.internal.util.offheap

### Class org.apache.ignite.internal.util.offheap.GridOffHeapOutOfMemoryException extends RuntimeException implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.internal.util.snaptree

### Class org.apache.ignite.internal.util.snaptree.SnapTreeMap extends AbstractMap<K,V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readObject

    private void readObject(ObjectInputStream xi)
                     throws IOException,
                            ClassNotFoundException

Reverses `SnapTreeMap.writeObject(ObjectOutputStream)`.

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject(ObjectOutputStream xo)
                      throws IOException

Saves the state of the `SnapTreeMap` to a stream.

Throws:
  `IOException`

### Serialized Fields

#### comparator

    Comparator<T> comparator

## Package org.apache.ignite.internal.util.typedef

### Class org.apache.ignite.internal.util.typedef.CA extends GridAbsClosure implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.typedef.CAX extends GridAbsClosureX implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.typedef.CIX1 extends IgniteInClosureX<T> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.typedef.CIX2 extends IgniteInClosure2X<E1,E2> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.typedef.COX extends IgniteOutClosureX<T> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.typedef.CX1 extends IgniteClosureX<E1,R> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.typedef.CX2 extends IgniteClosure2X<E1,E2,R> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.typedef.PX1 extends IgnitePredicateX<E1> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.typedef.PX2 extends IgnitePredicate2X<T1,T2> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.typedef.RX1 extends IgniteReducerX<E1,R> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.typedef.RX2 extends IgniteReducer2X<E1,E2,R> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.typedef.RX3 extends IgniteReducer3X<E1,E2,E3,R> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.util.typedef.T1 extends GridTuple<V> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.typedef.T2 extends IgniteBiTuple<V1,V2> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.typedef.T3 extends GridTuple3<V1,V2,V3> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.typedef.T4 extends GridTuple4<V1,V2,V3,V4> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.typedef.T5 extends GridTuple5<V1,V2,V3,V4,V5> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.internal.util.typedef.T6 extends GridTuple6<V1,V2,V3,V4,V5,V6> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.util.typedef.internal

### Class org.apache.ignite.internal.util.typedef.internal.SB extends GridStringBuilder implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.internal.util.worker

### Class org.apache.ignite.internal.util.worker.GridWorkerFuture extends GridFutureAdapter<T> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.internal.visor

### Class org.apache.ignite.internal.visor.VisorJob extends ComputeJobAdapter implements Serializable

### Serialized Fields

#### debug

    boolean debug

Debug flag.

### Class org.apache.ignite.internal.visor.VisorMultiNodeTask extends Object implements Serializable

### Serialized Fields

#### ignite

    IgniteEx ignite

Auto-injected grid instance.

#### debug

    boolean debug

Debug flag.

#### taskArg

    Object taskArg

Task argument.

#### start

    long start

Task start time.

### Class org.apache.ignite.internal.visor.VisorOneNodeTask extends VisorMultiNodeTask<A,R,R> implements Serializable

### Class org.apache.ignite.internal.visor.VisorTaskArgument extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### nodes

    Collection<E> nodes

Node IDs task should be mapped to.

#### arg

    Object arg

Task argument.

#### debug

    boolean debug

Debug flag.

## Package org.apache.ignite.internal.visor.cache

### Class org.apache.ignite.internal.visor.cache.VisorCache extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### name

    String name

Cache name.

#### mode

    CacheMode mode

Cache mode.

#### memorySize

    long memorySize

Cache size in bytes.

#### size

    int size

Number of all entries in cache.

#### nearSize

    int nearSize

Number of all entries in near cache.

#### dhtSize

    int dhtSize

Number of all entries in DHT cache.

#### primarySize

    int primarySize

Number of primary entries in cache.

#### offHeapAllocatedSize

    long offHeapAllocatedSize

Memory size allocated in off-heap.

#### offHeapEntriesCnt

    long offHeapEntriesCnt

Number of cache entries stored in off-heap memory.

#### swapSize

    long swapSize

Size in bytes for swap space.

#### swapKeys

    long swapKeys

Number of cache entries stored in swap space.

#### partsCnt

    int partsCnt

Number of partitions.

#### primaryParts

    Collection<E> primaryParts

Primary partitions IDs with sizes.

#### backupParts

    Collection<E> backupParts

Backup partitions IDs with sizes.

#### metrics

    VisorCacheMetrics metrics

Cache metrics.

#### partsMap

    GridDhtPartitionMap partsMap

Cache partitions states.

### Class org.apache.ignite.internal.visor.cache.VisorCacheAffinityConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### function

    String function

Cache affinity function.

#### mapper

    String mapper

Cache affinity mapper.

#### partitionedBackups

    int partitionedBackups

Count of key backups.

#### partitions

    Integer partitions

Cache affinity partitions.

#### dfltReplicas

    Integer dfltReplicas

Cache partitioned affinity default replicas.

#### excludeNeighbors

    Boolean excludeNeighbors

Cache partitioned affinity exclude neighbors.

### Class org.apache.ignite.internal.visor.cache.VisorCacheAggregatedMetrics extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### cacheName

    String cacheName

Cache name.

#### metrics

    Map<K,V> metrics

Node IDs with cache metrics.

### Class org.apache.ignite.internal.visor.cache.VisorCacheClearTask extends VisorOneNodeTask<String,IgniteBiTuple<Integer,Integer>> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.cache.VisorCacheCompactTask extends VisorOneNodeTask<Set<String>,Map<String,IgniteBiTuple<Integer,Integer>>> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.cache.VisorCacheConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### name

    String name

Cache name.

#### mode

    CacheMode mode

Cache mode.

#### distributionMode

    CacheDistributionMode distributionMode

Distribution mode.

#### atomicityMode

    CacheAtomicityMode atomicityMode

Cache atomicity mode

#### atomicSeqReserveSize

    int atomicSeqReserveSize

Cache atomic sequence reserve size

#### atomicWriteOrderMode

    CacheAtomicWriteOrderMode atomicWriteOrderMode

Cache atomicity write ordering mode.

#### eagerTtl

    boolean eagerTtl

Eager ttl flag

#### writeSynchronizationMode

    CacheWriteSynchronizationMode writeSynchronizationMode

Write synchronization mode.

#### seqReserveSize

    int seqReserveSize

Sequence reserve size.

#### swapEnabled

    boolean swapEnabled

Swap enabled flag.

#### qryIdxEnabled

    boolean qryIdxEnabled

Flag indicating whether Ignite should attempt to index value and/or key instances stored in cache.

#### invalidate

    boolean invalidate

Invalidate.

#### startSize

    int startSize

Start size.

#### tmLookupClsName

    String tmLookupClsName

Name of class implementing GridCacheTmLookup.

#### offHeapMaxMemory

    long offHeapMaxMemory

Off-heap max memory.

#### maxQryIterCnt

    int maxQryIterCnt

Max query iterator count

#### maxConcurrentAsyncOps

    int maxConcurrentAsyncOps

Max concurrent async operations

#### memoryMode

    CacheMemoryMode memoryMode

Memory mode.

#### indexingSpiName

    String indexingSpiName

Name of SPI to use for indexing.

#### interceptor

    String interceptor

Cache interceptor.

#### affinity

    VisorCacheAffinityConfiguration affinity

Cache affinity config.

#### preload

    VisorCachePreloadConfiguration preload

Preload config.

#### evict

    VisorCacheEvictionConfiguration evict

Eviction config.

#### near

    VisorCacheNearConfiguration near

Near cache config.

#### dflt

    VisorCacheDefaultConfiguration dflt

Default config

#### store

    VisorCacheStoreConfiguration store

Store config

#### writeBehind

    VisorCacheWriteBehindConfiguration writeBehind

Write behind config

#### typeMeta

    Collection<E> typeMeta

Collection of type metadata.

#### jdbcStore

    boolean jdbcStore

Whether cache has JDBC store.

#### readThrough

    boolean readThrough

Whether cache should operate in read-through mode.

#### writeThrough

    boolean writeThrough

Whether cache should operate in write-through mode.

#### statisticsEnabled

    boolean statisticsEnabled

Whether statistics collection is enabled.

#### mgmtEnabled

    boolean mgmtEnabled

Whether management is enabled.

#### ldrFactory

    String ldrFactory

Class name of cache loader factory.

#### writerFactory

    String writerFactory

Class name of cache writer factory.

#### expiryPlcFactory

    String expiryPlcFactory

Class name of expiry policy factory.

### Class org.apache.ignite.internal.visor.cache.VisorCacheDefaultConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### txIsolation

    TransactionIsolation txIsolation

Default transaction isolation.

#### txConcurrency

    TransactionConcurrency txConcurrency

Default transaction concurrency.

#### ttl

    long ttl

TTL value.

#### txTimeout

    long txTimeout

Default transaction concurrency.

#### txLockTimeout

    long txLockTimeout

Default transaction timeout.

#### qryTimeout

    long qryTimeout

Default query timeout.

### Class org.apache.ignite.internal.visor.cache.VisorCacheEvictionConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### plc

    String plc

Eviction policy.

#### plcMaxSize

    Integer plcMaxSize

Cache eviction policy max size.

#### filter

    String filter

Eviction filter to specify which entries should not be evicted.

#### syncConcurrencyLvl

    int syncConcurrencyLvl

Synchronous eviction concurrency level.

#### syncTimeout

    long syncTimeout

Synchronous eviction timeout.

#### syncKeyBufSize

    int syncKeyBufSize

Synchronized key buffer size.

#### evictSynchronized

    boolean evictSynchronized

Synchronous evicts flag.

#### nearSynchronized

    boolean nearSynchronized

Synchronous near evicts flag.

#### maxOverflowRatio

    float maxOverflowRatio

Eviction max overflow ratio.

### Class org.apache.ignite.internal.visor.cache.VisorCacheLoadTask extends VisorOneNodeTask<GridTuple3<Set<String>,Long,Object[]>,Map<String,Integer>> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.cache.VisorCacheMetadataTask extends VisorOneNodeTask<String,GridCacheSqlMetadata> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.cache.VisorCacheMetrics extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### size

    int size

Number of non-`null` values in the cache.

#### keySize

    int keySize

Gets number of keys in the cache, possibly with `null` values.

#### reads

    long reads

Total number of reads of the owning entity (either cache or entry).

#### avgReadTime

    float avgReadTime

The mean time to execute gets.

#### writes

    long writes

Total number of writes of the owning entity (either cache or entry).

#### hits

    long hits

Total number of hits for the owning entity (either cache or entry).

#### misses

    long misses

Total number of misses for the owning entity (either cache or entry).

#### txCommits

    long txCommits

Total number of transaction commits.

#### avgTxCommitTime

    float avgTxCommitTime

The mean time to execute tx commit.

#### txRollbacks

    long txRollbacks

Total number of transaction rollbacks.

#### avgTxRollbackTime

    float avgTxRollbackTime

The mean time to execute tx rollbacks.

#### puts

    long puts

The total number of puts to the cache.

#### avgPutTime

    float avgPutTime

The mean time to execute puts.

#### removals

    long removals

The total number of removals from the cache.

#### avgRemovalTime

    float avgRemovalTime

The mean time to execute removes.

#### evictions

    long evictions

The total number of evictions from the cache.

#### readsPerSec

    int readsPerSec

Reads per second.

#### writesPerSec

    int writesPerSec

Writes per second.

#### hitsPerSec

    int hitsPerSec

Hits per second.

#### missesPerSec

    int missesPerSec

Misses per second.

#### commitsPerSec

    int commitsPerSec

Commits per second.

#### rollbacksPerSec

    int rollbacksPerSec

Rollbacks per second.

#### qryMetrics

    VisorCacheQueryMetrics qryMetrics

Gets query metrics for cache.

#### dhtEvictQueueCurrSize

    int dhtEvictQueueCurrSize

Current size of evict queue used to batch up evictions.

#### txThreadMapSize

    int txThreadMapSize

Gets transaction per-thread map size.

#### txXidMapSize

    int txXidMapSize

Transaction per-Xid map size.

#### txCommitQueueSize

    int txCommitQueueSize

Committed transaction queue size.

#### txPrepareQueueSize

    int txPrepareQueueSize

Prepared transaction queue size.

#### txStartVerCountsSize

    int txStartVerCountsSize

Start version counts map size.

#### txCommittedVersionsSize

    int txCommittedVersionsSize

Number of cached committed transaction IDs.

#### txRolledbackVersionsSize

    int txRolledbackVersionsSize

Number of cached rolled back transaction IDs.

#### txDhtThreadMapSize

    int txDhtThreadMapSize

DHT thread map size

#### txDhtXidMapSize

    int txDhtXidMapSize

Transaction DHT per-Xid map size.

#### txDhtCommitQueueSize

    int txDhtCommitQueueSize

Committed DHT transaction queue size.

#### txDhtPrepareQueueSize

    int txDhtPrepareQueueSize

Prepared DHT transaction queue size.

#### txDhtStartVerCountsSize

    int txDhtStartVerCountsSize

DHT start version counts map size.

#### txDhtCommittedVersionsSize

    int txDhtCommittedVersionsSize

Number of cached committed DHT transaction IDs.

#### txDhtRolledbackVersionsSize

    int txDhtRolledbackVersionsSize

Number of cached rolled back DHT transaction IDs.

### Class org.apache.ignite.internal.visor.cache.VisorCacheMetricsCollectorTask extends VisorMultiNodeTask<IgniteBiTuple<Boolean,String>,Iterable<VisorCacheAggregatedMetrics>,Map<String,VisorCacheMetrics>> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.cache.VisorCacheNearConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### nearEnabled

    boolean nearEnabled

Flag to enable/disable near cache eviction policy.

#### nearStartSize

    int nearStartSize

Near cache start size.

#### nearEvictPlc

    String nearEvictPlc

Near cache eviction policy.

#### nearEvictMaxSize

    Integer nearEvictMaxSize

Near cache eviction policy maximum size.

### Class org.apache.ignite.internal.visor.cache.VisorCachePreloadConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### mode

    CachePreloadMode mode

Cache preload mode.

#### threadPoolSize

    int threadPoolSize

Preload thread pool size.

#### batchSize

    int batchSize

Cache preload batch size.

#### partitionedDelay

    long partitionedDelay

Preloading partitioned delay.

#### throttle

    long throttle

Time in milliseconds to wait between preload messages.

#### timeout

    long timeout

Preload timeout.

### Class org.apache.ignite.internal.visor.cache.VisorCachePreloadTask extends VisorOneNodeTask<Set<String>,Void> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.cache.VisorCacheQueryMetrics extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### minTime

    long minTime

Minimum execution time of query.

#### maxTime

    long maxTime

Maximum execution time of query.

#### avgTime

    double avgTime

Average execution time of query.

#### execs

    int execs

Number of executions.

#### fails

    int fails

Total number of times a query execution failed.

### Class org.apache.ignite.internal.visor.cache.VisorCacheResetMetricsTask extends VisorOneNodeTask<String,Void> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.cache.VisorCacheStoreConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### store

    String store

Cache store.

#### valBytes

    boolean valBytes

Should value bytes be stored.

### Class org.apache.ignite.internal.visor.cache.VisorCacheSwapBackupsTask extends VisorOneNodeTask<Set<String>,Map<String,IgniteBiTuple<Integer,Integer>>> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.cache.VisorCacheTypeFieldMetadata extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### dbName

    String dbName

Column name in database.

#### dbType

    int dbType

Column JDBC type in database.

#### javaName

    String javaName

Field name in java object.

#### javaType

    String javaType

Corresponding java type.

### Class org.apache.ignite.internal.visor.cache.VisorCacheTypeMetadata extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### dbSchema

    String dbSchema

Schema name in database.

#### dbTbl

    String dbTbl

Table name in database.

#### keyType

    String keyType

Key class used to store key in cache.

#### valType

    String valType

Value class used to store value in cache.

#### keyFields

    Collection<E> keyFields

Key fields.

#### valFields

    Collection<E> valFields

Value fields.

#### qryFlds

    Map<K,V> qryFlds

Fields to be queried, in addition to indexed fields.

#### ascFlds

    Map<K,V> ascFlds

Fields to index in ascending order.

#### descFlds

    Map<K,V> descFlds

Fields to index in descending order.

#### txtFlds

    Collection<E> txtFlds

Fields to index as text.

#### grps

    Map<K,V> grps

Fields to create group indexes for.

### Class org.apache.ignite.internal.visor.cache.VisorCacheWriteBehindConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### enabled

    boolean enabled

Flag indicating whether write-behind behaviour should be used for the cache store.

#### batchSize

    int batchSize

Maximum batch size for write-behind cache store operations.

#### flushFreq

    long flushFreq

Frequency with which write-behind cache is flushed to the cache store in milliseconds.

#### flushSize

    int flushSize

Maximum object count in write-behind cache.

#### flushThreadCnt

    int flushThreadCnt

Number of threads that will perform cache flushing.

## Package org.apache.ignite.internal.visor.compute

### Class org.apache.ignite.internal.visor.compute.VisorComputeCancelSessionsTask extends VisorMultiNodeTask<Map<UUID,Set<IgniteUuid>>,Void,Void> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.compute.VisorComputeResetMetricsTask extends VisorOneNodeTask<Void,Void> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.compute.VisorComputeToggleMonitoringTask extends VisorMultiNodeTask<IgniteBiTuple<String,Boolean>,Boolean,Boolean> implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.internal.visor.debug

### Class org.apache.ignite.internal.visor.debug.VisorThreadDumpTask extends VisorOneNodeTask<Void,IgniteBiTuple<VisorThreadInfo[],long[]>> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.debug.VisorThreadInfo extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### name

    String name

Thread name.

#### id

    Long id

Thread ID.

#### state

    Thread.State state

Thread state.

#### lock

    VisorThreadLockInfo lock

Lock information.

#### lockName

    String lockName

Lock name.

#### lockOwnerId

    Long lockOwnerId

Lock owner thread ID.

#### lockOwnerName

    String lockOwnerName

Lock owner name.

#### inNative

    Boolean inNative

Thread executing native code.

#### suspended

    Boolean suspended

Thread is suspended.

#### waitedCnt

    Long waitedCnt

Waited count.

#### waitedTime

    Long waitedTime

Waited time.

#### blockedCnt

    Long blockedCnt

Blocked count.

#### blockedTime

    Long blockedTime

Blocked time.

#### stackTrace

    StackTraceElement[] stackTrace

Stack trace.

#### locks

    VisorThreadLockInfo[] locks

Locks info.

#### lockedMonitors

    VisorThreadMonitorInfo[] lockedMonitors

Locked monitors.

### Class org.apache.ignite.internal.visor.debug.VisorThreadLockInfo extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### clsName

    String clsName

Fully qualified name of the class of the lock object.

#### identityHashCode

    Integer identityHashCode

Identity hash code of the lock object.

### Class org.apache.ignite.internal.visor.debug.VisorThreadMonitorInfo extends VisorThreadLockInfo implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### stackDepth

    Integer stackDepth

Stack depth.

#### stackFrame

    StackTraceElement stackFrame

Stack frame.

## Package org.apache.ignite.internal.visor.event

### Class org.apache.ignite.internal.visor.event.VisorGridAuthenticationEvent extends VisorGridEvent implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### subjType

    GridSecuritySubjectType subjType

Subject type.

#### subjId

    UUID subjId

Subject ID.

#### login

    Object login

Login.

### Class org.apache.ignite.internal.visor.event.VisorGridAuthorizationEvent extends VisorGridEvent implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### operation

    GridSecurityPermission operation

Requested operation.

#### subject

    GridSecuritySubject subject

Authenticated subject authorized to perform operation.

### Class org.apache.ignite.internal.visor.event.VisorGridDeploymentEvent extends VisorGridEvent implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### alias

    String alias

Deployment alias.

### Class org.apache.ignite.internal.visor.event.VisorGridDiscoveryEvent extends VisorGridEvent implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### evtNodeId

    UUID evtNodeId

Node that caused this event to be generated.

#### addr

    String addr

Node address that caused this event to be generated.

#### isDaemon

    boolean isDaemon

If node that caused this event is daemon.

### Class org.apache.ignite.internal.visor.event.VisorGridEvent extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### typeId

    int typeId

Event type.

#### id

    IgniteUuid id

Globally unique ID of this event.

#### name

    String name

Name of this event.

#### nid

    UUID nid

Node Id where event occurred and was recorded.

#### ts

    long ts

Event timestamp.

#### msg

    String msg

Event message.

#### shortDisplay

    String shortDisplay

Shortened version of `toString()` result. Suitable for humans to read.

### Class org.apache.ignite.internal.visor.event.VisorGridEventsLost extends VisorGridEvent implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.event.VisorGridJobEvent extends VisorGridEvent implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### taskName

    String taskName

Name of the task that triggered the event.

#### taskClsName

    String taskClsName

Name of task class that triggered the event.

#### taskSesId

    IgniteUuid taskSesId

Task session ID of the task that triggered the event.

#### jobId

    IgniteUuid jobId

Job ID.

### Class org.apache.ignite.internal.visor.event.VisorGridSecuritySessionEvent extends VisorGridEvent implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### subjType

    GridSecuritySubjectType subjType

Subject type.

#### subjId

    UUID subjId

Subject ID.

### Class org.apache.ignite.internal.visor.event.VisorGridTaskEvent extends VisorGridEvent implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### taskName

    String taskName

Name of the task that triggered the event.

#### taskClsName

    String taskClsName

Name of task class that triggered the event.

#### taskSesId

    IgniteUuid taskSesId

Task session ID.

#### internal

    boolean internal

Whether task was created for system needs.

## Package org.apache.ignite.internal.visor.file

### Class org.apache.ignite.internal.visor.file.VisorFileBlock extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### path

    String path

File path.

#### off

    long off

Marker position.

#### size

    long size

File size.

#### lastModified

    long lastModified

Timestamp of last modification of the file.

#### zipped

    boolean zipped

Whether data was zipped.

#### data

    byte[] data

Data bytes.

### Class org.apache.ignite.internal.visor.file.VisorFileBlockTask extends VisorOneNodeTask<VisorFileBlockTask.VisorFileBlockArg,IgniteBiTuple<? extends IOException,VisorFileBlock>> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.file.VisorFileBlockTask.VisorFileBlockArg extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### path

    String path

Log file path.

#### off

    long off

Log file offset.

#### blockSz

    int blockSz

Block size.

#### lastModified

    long lastModified

Log file last modified timestamp.

### Class org.apache.ignite.internal.visor.file.VisorLatestTextFilesTask extends VisorOneNodeTask<IgniteBiTuple<String,String>,Collection<VisorLogFile>> implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.internal.visor.igfs

### Class org.apache.ignite.internal.visor.igfs.VisorIgfs extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### name

    String name

IGFS instance name.

#### mode

    IgfsMode mode

IGFS instance working mode.

#### metrics

    VisorIgfsMetrics metrics

IGFS metrics.

#### secondaryFsConfigured

    boolean secondaryFsConfigured

Whether IGFS has configured secondary file system.

### Class org.apache.ignite.internal.visor.igfs.VisorIgfsEndpoint extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### igfsName

    String igfsName

IGFS name.

#### gridName

    String gridName

Grid name.

#### hostName

    String hostName

Host address / name.

#### port

    int port

Port number.

### Class org.apache.ignite.internal.visor.igfs.VisorIgfsFormatTask extends VisorOneNodeTask<String,Void> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.igfs.VisorIgfsMetrics extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### totalSpaceSz

    long totalSpaceSz

Maximum amount of data that can be stored on local node.

#### usedSpaceSz

    long usedSpaceSz

Local used space in bytes on local node.

#### foldersCnt

    int foldersCnt

Number of directories created in file system.

#### filesCnt

    int filesCnt

Number of files stored in file system.

#### filesOpenedForRd

    int filesOpenedForRd

Number of files that are currently opened for reading on local node.

#### filesOpenedForWrt

    int filesOpenedForWrt

Number of files that are currently opened for writing on local node.

#### blocksRd

    long blocksRd

Total blocks read, local and remote.

#### blocksRdRmt

    long blocksRdRmt

Total remote blocks read.

#### blocksWrt

    long blocksWrt

Total blocks write, local and remote.

#### blocksWrtRmt

    long blocksWrtRmt

Total remote blocks write.

#### bytesRd

    long bytesRd

Total bytes read.

#### bytesRdTm

    long bytesRdTm

Total bytes read time.

#### bytesWrt

    long bytesWrt

Total bytes write.

#### bytesWrtTm

    long bytesWrtTm

Total bytes write time.

### Class org.apache.ignite.internal.visor.igfs.VisorIgfsProfilerClearTask extends VisorOneNodeTask<String,IgniteBiTuple<Integer,Integer>> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.igfs.VisorIgfsProfilerEntry extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### path

    String path

Path to file.

#### ts

    long ts

Timestamp of last file operation.

#### mode

    IgfsMode mode

IGFS mode.

#### size

    long size

File size.

#### bytesRead

    long bytesRead

How many bytes were read.

#### readTime

    long readTime

How long read take.

#### userReadTime

    long userReadTime

User read time.

#### bytesWritten

    long bytesWritten

How many bytes were written.

#### writeTime

    long writeTime

How long write take.

#### userWriteTime

    long userWriteTime

User write read time.

#### uniformity

    double uniformity

Calculated uniformity.

#### counters

    VisorIgfsProfilerUniformityCounters counters

Counters for uniformity calculation.

#### readSpeed

    long readSpeed

Read speed in bytes per second or `-1` if speed not available.

#### writeSpeed

    long writeSpeed

Write speed in bytes per second or `-1` if speed not available.

### Class org.apache.ignite.internal.visor.igfs.VisorIgfsProfilerTask extends VisorOneNodeTask<String,Collection<VisorIgfsProfilerEntry>> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.igfs.VisorIgfsProfilerUniformityCounters extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### fileSize

    long fileSize

Analyzed file size in bytes.

#### blockSize

    long blockSize

Current block size to calculate uniformity.

#### counters

    ArrayList<E> counters

Collection of calculated counters.

### Class org.apache.ignite.internal.visor.igfs.VisorIgfsResetMetricsTask extends VisorOneNodeTask<Set<String>,Void> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.igfs.VisorIgfsSamplingStateTask extends VisorOneNodeTask<IgniteBiTuple<String,Boolean>,Void> implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.internal.visor.log

### Class org.apache.ignite.internal.visor.log.VisorLogFile extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### path

    String path

File path.

#### size

    long size

File size.

#### lastModified

    long lastModified

File last modified timestamp.

### Class org.apache.ignite.internal.visor.log.VisorLogSearchResult extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### nid

    UUID nid

Node ID.

#### filePath

    String filePath

File path relative to the search folder.

#### fileSize

    long fileSize

File size.

#### lastModified

    long lastModified

Timestamp of last modification of the file.

#### lines

    String[] lines

Lines of text including found line and several lines before and after.

#### lineNum

    int lineNum

Line number in the file, 1 based.

#### lineCnt

    int lineCnt

Lines count in the file.

#### encoding

    String encoding

File content encoding.

### Class org.apache.ignite.internal.visor.log.VisorLogSearchTask extends VisorMultiNodeTask<VisorLogSearchTask.VisorLogSearchArg,IgniteBiTuple<Iterable<IgniteBiTuple<Exception,UUID>>,Iterable<VisorLogSearchResult>>,Collection<VisorLogSearchResult>> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.log.VisorLogSearchTask.VisorLogSearchArg extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### searchStr

    String searchStr

Searched string.

#### folder

    String folder

Folder.

#### filePtrn

    String filePtrn

File name search pattern.

#### limit

    int limit

Max number of results.

## Package org.apache.ignite.internal.visor.misc

### Class org.apache.ignite.internal.visor.misc.VisorAckTask extends VisorMultiNodeTask<String,Void,Void> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.misc.VisorLatestVersionTask extends VisorOneNodeTask<Void,String> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.misc.VisorNopTask extends Object implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.misc.VisorResolveHostNameTask extends VisorOneNodeTask<Void,Map<String,String>> implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.internal.visor.node

### Class org.apache.ignite.internal.visor.node.VisorAtomicConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### seqReserveSize

    int seqReserveSize

Atomic sequence reservation size.

#### cacheMode

    CacheMode cacheMode

Cache mode.

#### backups

    int backups

Number of backups.

### Class org.apache.ignite.internal.visor.node.VisorBasicConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### gridName

    String gridName

Grid name.

#### ggHome

    String ggHome

IGNITE_HOME determined at startup.

#### locHost

    String locHost

Local host value used.

#### nodeId

    UUID nodeId

Node id.

#### marsh

    String marsh

Marshaller used.

#### deployMode

    Object deployMode

Deployment Mode.

#### daemon

    boolean daemon

Whether this node daemon or not.

#### jmxRemote

    boolean jmxRemote

Whether remote JMX is enabled.

#### restart

    boolean restart

Is node restart enabled.

#### netTimeout

    long netTimeout

Network timeout.

#### log

    String log

Logger used on node.

#### discoStartupDelay

    long discoStartupDelay

Discovery startup delay.

#### mBeanSrv

    String mBeanSrv

MBean server name

#### noAscii

    boolean noAscii

Whether ASCII logo is disabled.

#### noDiscoOrder

    boolean noDiscoOrder

Whether no discovery order is allowed.

#### noShutdownHook

    boolean noShutdownHook

Whether shutdown hook is disabled.

#### progName

    String progName

Name of command line program.

#### quiet

    boolean quiet

Whether node is in quiet mode.

#### successFile

    String successFile

Success file name.

#### updateNtf

    boolean updateNtf

Whether update checker is enabled.

#### securityCred

    String securityCred

Security credentials.

### Class org.apache.ignite.internal.visor.node.VisorExecutorServiceConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### pubPoolSize

    int pubPoolSize

Public pool size.

#### sysPoolSz

    int sysPoolSz

System pool size.

#### mgmtPoolSize

    int mgmtPoolSize

Management pool size.

#### igfsPoolSize

    int igfsPoolSize

IGFS pool size.

#### p2pPoolSz

    int p2pPoolSz

Peer-to-peer pool size.

#### restPoolSz

    int restPoolSz

REST requests pool size.

### Class org.apache.ignite.internal.visor.node.VisorGridConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### basic

    VisorBasicConfiguration basic

Basic.

#### metrics

    VisorMetricsConfiguration metrics

Metrics.

#### spis

    VisorSpisConfiguration spis

SPIs.

#### p2p

    VisorPeerToPeerConfiguration p2p

P2P.

#### lifecycle

    VisorLifecycleConfiguration lifecycle

Lifecycle.

#### execSvc

    VisorExecutorServiceConfiguration execSvc

Executors service configuration.

#### seg

    VisorSegmentationConfiguration seg

Segmentation.

#### inclProps

    String inclProps

Include properties.

#### inclEvtTypes

    int[] inclEvtTypes

Include events types.

#### rest

    VisorRestConfiguration rest

REST configuration.

#### userAttrs

    Map<K,V> userAttrs

User attributes.

#### caches

    Iterable<T> caches

Caches.

#### igfss

    Iterable<T> igfss

Igfss.

#### streamers

    Iterable<T> streamers

Streamers.

#### env

    Map<K,V> env

Environment.

#### sysProps

    Properties sysProps

System properties.

#### atomic

    VisorAtomicConfiguration atomic

Configuration of atomic data structures.

#### txCfg

    VisorTransactionConfiguration txCfg

Transactions configuration.

### Class org.apache.ignite.internal.visor.node.VisorIgfsConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### name

    String name

IGFS instance name.

#### metaCacheName

    String metaCacheName

Cache name to store IGFS meta information.

#### dataCacheName

    String dataCacheName

Cache name to store IGFS data.

#### blockSize

    int blockSize

File's data block size.

#### prefetchBlocks

    int prefetchBlocks

Number of pre-fetched blocks if specific file's chunk is requested.

#### streamBufSize

    int streamBufSize

Read/write buffer size for IGFS stream operations in bytes.

#### perNodeBatchSize

    int perNodeBatchSize

Number of file blocks buffered on local node before sending batch to remote node.

#### perNodeParallelBatchCnt

    int perNodeParallelBatchCnt

Number of batches that can be concurrently sent to remote node.

#### secondaryHadoopFileSysUri

    String secondaryHadoopFileSysUri

URI of the secondary Hadoop file system.

#### secondaryHadoopFileSysCfgPath

    String secondaryHadoopFileSysCfgPath

Path for the secondary hadoop file system config.

#### dfltMode

    IgfsMode dfltMode

IGFS instance mode.

#### pathModes

    Map<K,V> pathModes

Map of paths to IGFS modes.

#### dualModePutExecutorSrvc

    String dualModePutExecutorSrvc

Dual mode PUT operations executor service.

#### dualModePutExecutorSrvcShutdown

    boolean dualModePutExecutorSrvcShutdown

Dual mode PUT operations executor service shutdown flag.

#### dualModeMaxPendingPutsSize

    long dualModeMaxPendingPutsSize

Maximum amount of data in pending puts.

#### maxTaskRangeLen

    long maxTaskRangeLen

Maximum range length.

#### fragmentizerConcurrentFiles

    int fragmentizerConcurrentFiles

Fragmentizer concurrent files.

#### fragmentizerLocWritesRatio

    float fragmentizerLocWritesRatio

Fragmentizer local writes ratio.

#### fragmentizerEnabled

    boolean fragmentizerEnabled

Fragmentizer enabled flag.

#### fragmentizerThrottlingBlockLen

    long fragmentizerThrottlingBlockLen

Fragmentizer throttling block length.

#### fragmentizerThrottlingDelay

    long fragmentizerThrottlingDelay

Fragmentizer throttling delay.

#### ipcEndpointCfg

    String ipcEndpointCfg

IPC endpoint config (in JSON format) to publish IGFS over.

#### ipcEndpointEnabled

    boolean ipcEndpointEnabled

IPC endpoint enabled flag.

#### maxSpace

    long maxSpace

Maximum space.

#### mgmtPort

    int mgmtPort

Management port.

#### seqReadsBeforePrefetch

    int seqReadsBeforePrefetch

Amount of sequential block reads before prefetch is triggered.

#### trashPurgeTimeout

    long trashPurgeTimeout

Trash purge await timeout.

### Class org.apache.ignite.internal.visor.node.VisorLifecycleConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### beans

    String beans

Lifecycle beans.

### Class org.apache.ignite.internal.visor.node.VisorMetricsConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### expTime

    long expTime

Metrics expired time.

#### histSize

    int histSize

Number of node metrics stored in memory.

#### logFreq

    long logFreq

Frequency of metrics log printout.

### Class org.apache.ignite.internal.visor.node.VisorNodeConfigurationCollectorJob extends VisorJob<Void,VisorGridConfiguration> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.node.VisorNodeConfigurationCollectorTask extends VisorOneNodeTask<Void,VisorGridConfiguration> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.node.VisorNodeDataCollectorJob extends VisorJob<VisorNodeDataCollectorTaskArg,VisorNodeDataCollectorJobResult> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.node.VisorNodeDataCollectorJobResult extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### gridName

    String gridName

Grid name.

#### topVer

    long topVer

Node topology version.

#### taskMonitoringEnabled

    boolean taskMonitoringEnabled

Task monitoring state collected from node.

#### evts

    Collection<E> evts

Node events.

#### evtsEx

    Throwable evtsEx

Exception while collecting node events.

#### caches

    Collection<E> caches

Node caches.

#### cachesEx

    Throwable cachesEx

Exception while collecting node caches.

#### igfss

    Collection<E> igfss

Node IGFSs.

#### igfsEndpoints

    Collection<E> igfsEndpoints

All IGFS endpoints collected from nodes.

#### igfssEx

    Throwable igfssEx

Exception while collecting node IGFSs.

#### streamers

    Collection<E> streamers

Node streamers.

#### streamersEx

    Throwable streamersEx

Exception while collecting node streamers.

### Class org.apache.ignite.internal.visor.node.VisorNodeDataCollectorTask extends VisorMultiNodeTask<VisorNodeDataCollectorTaskArg,VisorNodeDataCollectorTaskResult,VisorNodeDataCollectorJobResult> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.node.VisorNodeDataCollectorTaskArg extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### taskMonitoringEnabled

    boolean taskMonitoringEnabled

Whether task monitoring should be enabled.

#### evtOrderKey

    String evtOrderKey

Visor unique key to get last event order from node local storage.

#### evtThrottleCntrKey

    String evtThrottleCntrKey

Visor unique key to get lost events throttle counter from node local storage.

#### sample

    int sample

Cache sample size.

#### sysCaches

    boolean sysCaches

If `true` then collect information about system caches.

### Class org.apache.ignite.internal.visor.node.VisorNodeDataCollectorTaskResult extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### unhandledEx

    Map<K,V> unhandledEx

Unhandled exceptions from nodes.

#### gridNames

    Map<K,V> gridNames

Nodes grid names.

#### topVersions

    Map<K,V> topVersions

Nodes topology versions.

#### taskMonitoringEnabled

    Map<K,V> taskMonitoringEnabled

All task monitoring state collected from nodes.

#### evts

    List<E> evts

All events collected from nodes.

#### evtsEx

    Map<K,V> evtsEx

Exceptions caught during collecting events from nodes.

#### caches

    Map<K,V> caches

All caches collected from nodes.

#### cachesEx

    Map<K,V> cachesEx

Exceptions caught during collecting caches from nodes.

#### igfss

    Map<K,V> igfss

All IGFS collected from nodes.

#### igfsEndpoints

    Map<K,V> igfsEndpoints

All IGFS endpoints collected from nodes.

#### igfssEx

    Map<K,V> igfssEx

Exceptions caught during collecting IGFS from nodes.

#### streamers

    Map<K,V> streamers

All streamers collected from nodes.

#### streamersEx

    Map<K,V> streamersEx

Exceptions caught during collecting streamers from nodes.

### Class org.apache.ignite.internal.visor.node.VisorNodeEventsCollectorTask extends VisorMultiNodeTask<VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg,Iterable<? extends VisorGridEvent>,Collection<? extends VisorGridEvent>> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.node.VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### keyOrder

    String keyOrder

Node local storage key.

#### typeArg

    int[] typeArg

Arguments for type filter.

#### timeArg

    Long timeArg

Arguments for time filter.

#### taskName

    String taskName

Task or job events with task name contains.

#### taskSesId

    IgniteUuid taskSesId

Task or job events with session.

### Class org.apache.ignite.internal.visor.node.VisorNodeGcTask extends VisorMultiNodeTask<Void,Map<UUID,IgniteBiTuple<Long,Long>>,IgniteBiTuple<Long,Long>> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.node.VisorNodePingTask extends VisorOneNodeTask<UUID,GridTuple3<Boolean,Long,Long>> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.node.VisorNodeRestartTask extends VisorMultiNodeTask<Void,Void,Void> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.node.VisorNodeStopTask extends VisorMultiNodeTask<Void,Void,Void> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.node.VisorPeerToPeerConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### p2pEnabled

    boolean p2pEnabled

Whether peer-to-peer class loading is enabled.

#### p2pMissedResCacheSize

    int p2pMissedResCacheSize

Missed resource cache size.

#### p2pLocClsPathExcl

    String p2pLocClsPathExcl

List of packages from the system classpath that need to be loaded from task originating node.

### Class org.apache.ignite.internal.visor.node.VisorRestConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### restEnabled

    boolean restEnabled

Whether REST enabled or not.

#### tcpSslEnabled

    boolean tcpSslEnabled

Whether or not SSL is enabled for TCP binary protocol.

#### accessibleFolders

    String[] accessibleFolders

Rest accessible folders (log command can get files from).

#### jettyPath

    String jettyPath

Jetty config path.

#### jettyHost

    String jettyHost

Jetty host.

#### jettyPort

    Integer jettyPort

Jetty port.

#### tcpHost

    String tcpHost

REST TCP binary host.

#### tcpPort

    Integer tcpPort

REST TCP binary port.

#### tcpSslCtxFactory

    String tcpSslCtxFactory

Context factory for SSL.

### Class org.apache.ignite.internal.visor.node.VisorSegmentationConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### plc

    GridSegmentationPolicy plc

Segmentation policy.

#### resolvers

    String resolvers

Segmentation resolvers.

#### checkFreq

    long checkFreq

Frequency of network segment check by discovery manager.

#### waitOnStart

    boolean waitOnStart

Whether or not node should wait for correct segment on start.

#### passRequired

    boolean passRequired

Whether or not all resolvers should succeed for node to be in correct segment.

### Class org.apache.ignite.internal.visor.node.VisorSpisConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### discoSpi

    IgniteBiTuple<V1,V2> discoSpi

Discovery SPI.

#### commSpi

    IgniteBiTuple<V1,V2> commSpi

Communication SPI.

#### evtSpi

    IgniteBiTuple<V1,V2> evtSpi

Event storage SPI.

#### colSpi

    IgniteBiTuple<V1,V2> colSpi

Collision SPI.

#### authSpi

    IgniteBiTuple<V1,V2> authSpi

Authentication SPI.

#### sesSpi

    IgniteBiTuple<V1,V2> sesSpi

Secure Session SPI.

#### deploySpi

    IgniteBiTuple<V1,V2> deploySpi

Deployment SPI.

#### cpSpis

    IgniteBiTuple<V1,V2>[] cpSpis

Checkpoint SPIs.

#### failSpis

    IgniteBiTuple<V1,V2>[] failSpis

Failover SPIs.

#### loadBalancingSpis

    IgniteBiTuple<V1,V2>[] loadBalancingSpis

Load balancing SPIs.

#### swapSpaceSpis

    IgniteBiTuple<V1,V2> swapSpaceSpis

Swap space SPIs.

#### indexingSpis

    IgniteBiTuple<V1,V2>[] indexingSpis

Indexing SPIs.

### Class org.apache.ignite.internal.visor.node.VisorTransactionConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### dfltConcurrency

    TransactionConcurrency dfltConcurrency

Default cache concurrency.

#### dfltIsolation

    TransactionIsolation dfltIsolation

Default transaction isolation.

#### dfltTxTimeout

    long dfltTxTimeout

Default transaction timeout.

#### pessimisticTxLogLinger

    int pessimisticTxLogLinger

Pessimistic tx log linger.

#### pessimisticTxLogSize

    int pessimisticTxLogSize

Pessimistic tx log size.

#### txSerEnabled

    boolean txSerEnabled

Default transaction serializable flag.

## Package org.apache.ignite.internal.visor.query

### Class org.apache.ignite.internal.visor.query.VisorQueryCleanupTask extends VisorMultiNodeTask<Map<UUID,Collection<String>>,Void,Void> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.query.VisorQueryField extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### type

    String type

Column type.

#### field

    String field

Field name.

### Class org.apache.ignite.internal.visor.query.VisorQueryNextPageTask extends VisorOneNodeTask<IgniteBiTuple<String,Integer>,VisorQueryResult> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.query.VisorQueryResult extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### rows

    List<E> rows

Rows fetched from query.

#### hasMore

    Boolean hasMore

Whether query has more rows to fetch.

#### duration

    long duration

Query duration

### Class org.apache.ignite.internal.visor.query.VisorQueryResultEx extends VisorQueryResult implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### resNodeId

    UUID resNodeId

Node where query executed.

#### qryId

    String qryId

Query ID to store in node local.

#### colNames

    VisorQueryField[] colNames

Query columns descriptors.

### Class org.apache.ignite.internal.visor.query.VisorQueryTask extends VisorOneNodeTask<VisorQueryTask.VisorQueryArg,IgniteBiTuple<? extends Exception,VisorQueryResultEx>> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.query.VisorQueryTask.VisorFutureResultSetHolder extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### fut

    CacheQueryFuture<T> fut

Future with query results.

#### next

    Object next

Next record from future.

#### accessed

    Boolean accessed

Flag indicating that this future was read from last check.

### Class org.apache.ignite.internal.visor.query.VisorQueryTask.VisorQueryArg extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### proj

    Collection<E> proj

Node ids for query.

#### cacheName

    String cacheName

Cache name for query.

#### qryTxt

    String qryTxt

Query text.

#### pageSize

    Integer pageSize

Result batch size.

## Package org.apache.ignite.internal.visor.streamer

### Class org.apache.ignite.internal.visor.streamer.VisorStreamer extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### name

    String name

Streamer name.

#### metrics

    VisorStreamerMetrics metrics

Metrics.

#### stages

    Collection<E> stages

Stages.

### Class org.apache.ignite.internal.visor.streamer.VisorStreamerConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### name

    String name

Streamer name.

#### router

    String router

Events router.

#### atLeastOnce

    boolean atLeastOnce

Flag indicating whether event should be processed at least once.

#### maxFailoverAttempts

    int maxFailoverAttempts

Maximum number of failover attempts to try.

#### maxConcurrentSessions

    int maxConcurrentSessions

Maximum number of concurrent events to be processed.

#### poolSize

    int poolSize

Streamer thread pool size.

### Class org.apache.ignite.internal.visor.streamer.VisorStreamerMetrics extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### active

    int active

Active stages.

#### waiting

    int waiting

Waiting stages.

#### cap

    int cap

Stages execution capacity.

#### pipelineMinExecTm

    long pipelineMinExecTm

Pipeline minimum execution time.

#### pipelineAvgExecTm

    long pipelineAvgExecTm

Pipeline average execution time.

#### pipelineMaxExecTm

    long pipelineMaxExecTm

Pipeline maximum execution time.

#### pipelineMinExecNodes

    int pipelineMinExecNodes

Minimum number of unique nodes in pipeline execution.

#### pipelineAvgExecNodes

    int pipelineAvgExecNodes

Average number of unique nodes in pipeline execution.

#### pipelineMaxExecNodes

    int pipelineMaxExecNodes

Maximum number of unique nodes in pipeline execution.

#### qryMinExecTm

    long qryMinExecTm

Query minimum execution time.

#### qryAvgExecTm

    long qryAvgExecTm

Query average execution time.

#### qryMaxExecTm

    long qryMaxExecTm

Query maximum execution time.

#### qryMinExecNodes

    int qryMinExecNodes

Minimum number of unique nodes in query execution.

#### qryAvgExecNodes

    int qryAvgExecNodes

Average number of unique nodes in query execution.

#### qryMaxExecNodes

    int qryMaxExecNodes

Maximum number of unique nodes in query execution.

#### windowSize

    int windowSize

Current window size.

### Class org.apache.ignite.internal.visor.streamer.VisorStreamerMetricsResetTask extends VisorOneNodeTask<String,Void> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.streamer.VisorStreamerResetTask extends VisorOneNodeTask<String,Void> implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.internal.visor.streamer.VisorStreamerStageMetrics extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### name

    String name

Stage name.

#### minExecTm

    long minExecTm

Minimum execution time.

#### avgExecTm

    long avgExecTm

Average execution time.

#### maxExecTm

    long maxExecTm

Maximum execution time.

#### minWaitingTm

    long minWaitingTm

Minimum waiting time.

#### avgWaitingTm

    long avgWaitingTm

Average waiting time.

#### maxWaitingTm

    long maxWaitingTm

Maximum waiting time.

#### executed

    long executed

Executed count.

#### failures

    int failures

Failures count.

#### executing

    boolean executing

If executing.

#### throughput

    long throughput

Throughput.

#### failuresFreq

    int failuresFreq

Failures frequency.

## Package org.apache.ignite.lang

### Class org.apache.ignite.lang.IgniteBiTuple extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.lang.IgniteFutureCancelledException extends IgniteException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.lang.IgniteFutureTimeoutException extends IgniteException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.lang.IgniteProductVersion extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.lang.IgniteUuid extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Throws:
  `IOException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.messaging

### Class org.apache.ignite.messaging.MessagingListenActor extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### keepGoing

    boolean keepGoing

#### nodeId

    UUID nodeId

## Package org.apache.ignite.plugin

### Class org.apache.ignite.plugin.PluginNotFoundException extends IgniteException implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### name

    String name

Plugin name.

### Class org.apache.ignite.plugin.PluginValidationException extends IgniteException implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### nodeId

    UUID nodeId

Offending node ID.

#### rmtMsg

    String rmtMsg

Error message to send to the offending node.

## Package org.apache.ignite.plugin.extensions.communication

### Class org.apache.ignite.plugin.extensions.communication.MessageAdapter extends Object implements Serializable

### Serialized Fields

#### reader

    MessageReader reader

Message reader.

#### readState

    int readState

Current read state.

## Package org.apache.ignite.plugin.security

### Class org.apache.ignite.plugin.security.GridSecurityCredentials extends Object implements Serializable

serialVersionUID:
  -2655741071578326256L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.plugin.security.GridSecurityException extends IgniteException implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.plugin.segmentation

## Package org.apache.ignite.services

### Class org.apache.ignite.services.ServiceConfiguration extends Object implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### name

    String name

Service name.

#### svc

    Service svc

Service instance.

#### totalCnt

    int totalCnt

Total count.

#### maxPerNodeCnt

    int maxPerNodeCnt

Max per-node count.

#### cacheName

    String cacheName

Cache name.

#### affKey

    Object affKey

Affinity key.

#### nodeFilter

    IgnitePredicate<E> nodeFilter

Node filter.

## Package org.apache.ignite.spi

### Class org.apache.ignite.spi.IgniteSpiException extends IgniteException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.spi.IgniteSpiMultiException extends IgniteSpiException implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### causes

    List<E> causes

Nested exceptions.

### Class org.apache.ignite.spi.IgniteSpiVersionCheckException extends IgniteSpiException implements Serializable

serialVersionUID:
  0L

## Package org.apache.ignite.spi.collision.jobstealing

### Class org.apache.ignite.spi.collision.jobstealing.JobStealingRequest extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### delta

    int delta

Delta.

## Package org.apache.ignite.spi.communication.tcp

### Class org.apache.ignite.spi.communication.tcp.TcpCommunicationSpi.HandshakeMessage extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### nodeId

    UUID nodeId

#### rcvCnt

    long rcvCnt

#### connectCnt

    long connectCnt

### Class org.apache.ignite.spi.communication.tcp.TcpCommunicationSpi.NodeIdMessage extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### nodeIdBytes

    byte[] nodeIdBytes

#### nodeIdBytesWithType

    byte[] nodeIdBytesWithType

### Class org.apache.ignite.spi.communication.tcp.TcpCommunicationSpi.RecoveryLastReceivedMessage extends MessageAdapter implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### rcvCnt

    long rcvCnt

## Package org.apache.ignite.spi.discovery.tcp.internal

### Class org.apache.ignite.spi.discovery.tcp.internal.TcpDiscoveryNode extends GridMetadataAwareAdapter implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.spi.discovery.tcp.messages

### Class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAuthFailedMessage extends TcpDiscoveryAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryCheckFailedMessage extends TcpDiscoveryAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryClientReconnectMessage extends TcpDiscoveryAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryDiscardMessage extends TcpDiscoveryAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryDuplicateIdMessage extends TcpDiscoveryAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryHandshakeRequest extends TcpDiscoveryAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryHandshakeResponse extends TcpDiscoveryAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryHeartbeatMessage extends TcpDiscoveryAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryHeartbeatMessage.MetricsSet extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryJoinRequestMessage extends TcpDiscoveryAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryLoopbackProblemMessage extends TcpDiscoveryAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryNodeAddedMessage extends TcpDiscoveryAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryNodeAddFinishedMessage extends TcpDiscoveryAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryNodeFailedMessage extends TcpDiscoveryAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryNodeLeftMessage extends TcpDiscoveryAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryPingRequest extends TcpDiscoveryAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryPingResponse extends TcpDiscoveryAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryStatusCheckMessage extends TcpDiscoveryAbstractMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.apache.ignite.startup

### Class org.apache.ignite.startup.BasicWarmupClosure extends Object implements Serializable

serialVersionUID:
  9175346848249957458L

### Serialized Fields

#### gridCnt

    int gridCnt

Grid count.

#### threadCnt

    int threadCnt

Warmup thread count.

#### iterCnt

    int iterCnt

Per thread iteration count.

#### keyRange

    int keyRange

Key range.

#### discoveryPort

    int discoveryPort

Warmup discovery port.

#### warmupMethods

    String[] warmupMethods

Methods to warmup.

## Package org.apache.ignite.startup.cmdline

### Class org.apache.ignite.startup.cmdline.AboutDialog extends JDialog implements Serializable

serialVersionUID:
  0L

### Serialized Fields

#### appName

    String appName

Application name

#### bannerSpec

    String bannerSpec

Banner icon url spec

#### ver

    String ver

Version.

#### release

    Date release

Release date.

#### copyright

    String copyright

Copyright.

#### gbc

    GridBagConstraints gbc

Grid bag constraints.

#### closeAct

    Action closeAct

Close action.

#### closeBtn

    JButton closeBtn

Close button.

## Package org.apache.ignite.transactions

### Class org.apache.ignite.transactions.TransactionHeuristicException extends IgniteException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.transactions.TransactionOptimisticException extends IgniteException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.transactions.TransactionRollbackException extends IgniteException implements Serializable

serialVersionUID:
  0L

### Class org.apache.ignite.transactions.TransactionTimeoutException extends IgniteException implements Serializable

serialVersionUID:
  0L

## Package org.jdk8.backport

### Class org.jdk8.backport.ConcurrentHashMap8 extends Object implements Serializable

serialVersionUID:
  7249069246763182397L

### Serialization Methods

#### readObject

    private void readObject(ObjectInputStream s)
                     throws IOException,
                            ClassNotFoundException

Reconstitutes the instance from a stream (that is, deserializes it).

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject(ObjectOutputStream s)
                      throws IOException

Saves the state of the `ConcurrentHashMapV8` instance to a stream (i.e., serializes it).

Serial Data:
  the key (Object) and value (Object) for each key-value mapping, followed by a null pair. The key-value mappings are emitted in no particular order.
Throws:
  `IOException`

### Serialized Fields

#### segments

    org.jdk8.backport.ConcurrentHashMap8.Segment<K,V>[] segments

For serialization compatibility. Null unless serialized; see below

### Class org.jdk8.backport.ConcurrentHashMap8.KeySetView extends org.jdk8.backport.ConcurrentHashMap8.CHMView<K,V> implements Serializable

serialVersionUID:
  7249069246763182397L

### Serialized Fields

#### value

    Object value

### Class org.jdk8.backport.LongAdder extends org.jdk8.backport.Striped64 implements Serializable

serialVersionUID:
  7249069246863182397L

### Serialization Methods

#### readObject

    private void readObject(ObjectInputStream s)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject(ObjectOutputStream s)
                      throws IOException

Throws:
  `IOException`

### Class org.jdk8.backport.ThreadLocalRandom8 extends Random implements Serializable

serialVersionUID:
  -5851777807851030925L

### Serialized Fields

#### rnd

    long rnd

The random seed. We can't use super.seed.

#### initialized

    boolean initialized

Initialization flag to permit calls to setSeed to succeed only while executing the Random constructor. We can't allow others since it would cause setting seed in one part of a program to unintentionally impact other usages by the thread.

#### pad0

    long pad0

#### pad1

    long pad1

#### pad2

    long pad2

#### pad3

    long pad3

#### pad4

    long pad4

#### pad5

    long pad5

#### pad6

    long pad6

#### pad7

    long pad7

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015